Skip to content
Version v3.0.3

Deprecated

The Management API v1 is deprecated as of ProAuth 3.0. Use the Management API v2 for all new integrations. v1 remains available for backward compatibility but will be removed in a future major release.


GetCertStoresByType

GET
/api/management/v1/CertStore/type/{type}

Responses

OK

application/json
JSON
[
  
{
  
  
"id": "string",
  
  
"name": "string",
  
  
"description": "string",
  
  
"certType": 0,
  
  
"certificate": "string",
  
  
"password": "string",
  
  
"thumbprint": "string",
  
  
"validFrom": "string",
  
  
"validTo": "string",
  
  
"issuer": "string",
  
  
"serialNumber": "string",
  
  
"subject": "string",
  
  
"applyToType": 0,
  
  
"applyToSubscriptionId": "string",
  
  
"applyToTenantId": "string",
  
  
"idpInstances": [...]
  
}
]

GetCertStoresBySubscription

GET
/api/management/v1/CertStore/type/{type}/subscription/{subscriptionId}

Responses

OK

application/json
JSON
[
]

GetCertStoresByTenant

GET
/api/management/v1/CertStore/type/{type}/tenant/{tenantId}

Responses

OK

application/json
JSON
[
]

GetCertStoresByInstance

GET
/api/management/v1/CertStore/type/{type}/idpinstance/{idpInstanceId}

Responses

OK

application/json
JSON
[
]

GetCertStores

GET
/api/management/v1/CertStore

Responses

OK

application/json
JSON
[
]

CreateCertStore

POST
/api/management/v1/CertStore

Request Body

JSON
{
  
"id": "string",
  
"name": "string",
  
"description": "string",
  
"certType": 0,
  
"certificate": "string",
  
"password": "string",
  
"thumbprint": "string",
  
"validFrom": "string",
  
"validTo": "string",
  
"issuer": "string",
  
"serialNumber": "string",
  
"subject": "string",
  
"applyToType": 0,
  
"applyToSubscriptionId": "string",
  
"applyToTenantId": "string",
  
"idpInstances": [
  
  
{...}
  
]
}

Responses

Created

application/json
JSON
{
  
"id": "string",
  
"name": "string",
  
"description": "string",
  
"certType": 0,
  
"certificate": "string",
  
"password": "string",
  
"thumbprint": "string",
  
"validFrom": "string",
  
"validTo": "string",
  
"issuer": "string",
  
"serialNumber": "string",
  
"subject": "string",
  
"applyToType": 0,
  
"applyToSubscriptionId": "string",
  
"applyToTenantId": "string",
  
"idpInstances": [
  
  
{...}
  
]
}

CreateOrUpdateCertStore

POST
/api/management/v1/CertStore/createorupdate

Request Body

JSON
{
  
"id": "string",
  
"name": "string",
  
"description": "string",
  
"certType": 0,
  
"certificate": "string",
  
"password": "string",
  
"thumbprint": "string",
  
"validFrom": "string",
  
"validTo": "string",
  
"issuer": "string",
  
"serialNumber": "string",
  
"subject": "string",
  
"applyToType": 0,
  
"applyToSubscriptionId": "string",
  
"applyToTenantId": "string",
  
"idpInstances": [
  
  
{...}
  
]
}

Responses

Created

application/json
JSON
{
  
"id": "string",
  
"name": "string",
  
"description": "string",
  
"certType": 0,
  
"certificate": "string",
  
"password": "string",
  
"thumbprint": "string",
  
"validFrom": "string",
  
"validTo": "string",
  
"issuer": "string",
  
"serialNumber": "string",
  
"subject": "string",
  
"applyToType": 0,
  
"applyToSubscriptionId": "string",
  
"applyToTenantId": "string",
  
"idpInstances": [
  
  
{...}
  
]
}

GetCertStore

GET
/api/management/v1/CertStore/{id}

Responses

OK

application/json
JSON
{
  
"id": "string",
  
"name": "string",
  
"description": "string",
  
"certType": 0,
  
"certificate": "string",
  
"password": "string",
  
"thumbprint": "string",
  
"validFrom": "string",
  
"validTo": "string",
  
"issuer": "string",
  
"serialNumber": "string",
  
"subject": "string",
  
"applyToType": 0,
  
"applyToSubscriptionId": "string",
  
"applyToTenantId": "string",
  
"idpInstances": [
  
  
{...}
  
]
}

UpdateCertStore

PUT
/api/management/v1/CertStore/{id}

Request Body

JSON
{
  
"id": "string",
  
"name": "string",
  
"description": "string",
  
"certType": 0,
  
"certificate": "string",
  
"password": "string",
  
"thumbprint": "string",
  
"validFrom": "string",
  
"validTo": "string",
  
"issuer": "string",
  
"serialNumber": "string",
  
"subject": "string",
  
"applyToType": 0,
  
"applyToSubscriptionId": "string",
  
"applyToTenantId": "string",
  
"idpInstances": [
  
  
{...}
  
]
}

Responses

Accepted

application/json
JSON
{
  
"id": "string",
  
"name": "string",
  
"description": "string",
  
"certType": 0,
  
"certificate": "string",
  
"password": "string",
  
"thumbprint": "string",
  
"validFrom": "string",
  
"validTo": "string",
  
"issuer": "string",
  
"serialNumber": "string",
  
"subject": "string",
  
"applyToType": 0,
  
"applyToSubscriptionId": "string",
  
"applyToTenantId": "string",
  
"idpInstances": [
  
  
{...}
  
]
}

DeleteCertStore

DELETE
/api/management/v1/CertStore/{id}

Responses

No Content


PatchCertStore

PATCH
/api/management/v1/CertStore/{id}

Request Body

JSON
[
  
{
  
  
"op": "string",
  
  
"path": "string",
  
  
"from": "string",
  
  
"value": null
  
}
]

Responses

Accepted

application/json
JSON
{
  
"id": "string",
  
"name": "string",
  
"description": "string",
  
"certType": 0,
  
"certificate": "string",
  
"password": "string",
  
"thumbprint": "string",
  
"validFrom": "string",
  
"validTo": "string",
  
"issuer": "string",
  
"serialNumber": "string",
  
"subject": "string",
  
"applyToType": 0,
  
"applyToSubscriptionId": "string",
  
"applyToTenantId": "string",
  
"idpInstances": [
  
  
{...}
  
]
}

UpdateCertStores

PUT
/api/management/v1/CertStore/batch

Request Body

JSON
[
]

Responses

OK

application/json
JSON
[
]

CreateCertStores

POST
/api/management/v1/CertStore/batch

Request Body

JSON
[
]

Responses

OK

application/json
JSON
[
]

DeleteCertStores

DELETE
/api/management/v1/CertStore/batch

Request Body

JSON
[
]

Responses

No Content


PatchCertStores

PATCH
/api/management/v1/CertStore/batch

Request Body

JSON
[
  
{
  
  
"ids": [...],
  
  
"patch": null
  
}
]

Responses

Accepted

application/json
JSON
[
  
{
  
  
"id": "string",
  
  
"name": "string",
  
  
"description": "string",
  
  
"certType": 0,
  
  
"certificate": "string",
  
  
"password": "string",
  
  
"thumbprint": "string",
  
  
"validFrom": "string",
  
  
"validTo": "string",
  
  
"issuer": "string",
  
  
"serialNumber": "string",
  
  
"subject": "string",
  
  
"applyToType": 0,
  
  
"applyToSubscriptionId": "string",
  
  
"applyToTenantId": "string",
  
  
"idpInstances": [...]
  
}
]

CreateOrUpdateCertStores

POST
/api/management/v1/CertStore/createorupdate/batch

Request Body

JSON
[
]

Responses

OK

application/json
JSON
[
]

GetClaimRules

GET
/api/management/v1/ClaimRule

Responses

OK

application/json
JSON
[
  
{
  
  
"id": "string",
  
  
"name": "string",
  
  
"ruleType": 0,
  
  
"filterTarget": 0,
  
  
"transformTarget": 0,
  
  
"ruleLevel": 0,
  
  
"destination": 0,
  
  
"priority": 0,
  
  
"typeEvaluationRule": "string",
  
  
"valueEvaluationRule": "string",
  
  
"typeTransformationRule": "string",
  
  
"valueTransformationRule": "string",
  
  
"typeTransformationReplacement": "string",
  
  
"valueTransformationReplacement": "string",
  
  
"isActive": true,
  
  
"subscriptionId": "string",
  
  
"applyToIdpInstanceId": "string",
  
  
"applyToSubscriptionId": "string",
  
  
"applyToTenantId": "string",
  
  
"clientApps": "[Circular Reference]"
  
}
]

CreateClaimRule

POST
/api/management/v1/ClaimRule

Request Body

JSON
{
  
"id": "string",
  
"name": "string",
  
"ruleType": 0,
  
"filterTarget": 0,
  
"transformTarget": 0,
  
"ruleLevel": 0,
  
"destination": 0,
  
"priority": 0,
  
"typeEvaluationRule": "string",
  
"valueEvaluationRule": "string",
  
"typeTransformationRule": "string",
  
"valueTransformationRule": "string",
  
"typeTransformationReplacement": "string",
  
"valueTransformationReplacement": "string",
  
"isActive": true,
  
"subscriptionId": "string",
  
"applyToIdpInstanceId": "string",
  
"applyToSubscriptionId": "string",
  
"applyToTenantId": "string",
  
"clientApps": "[Circular Reference]"
}

Responses

Created

application/json
JSON
{
  
"id": "string",
  
"name": "string",
  
"ruleType": 0,
  
"filterTarget": 0,
  
"transformTarget": 0,
  
"ruleLevel": 0,
  
"destination": 0,
  
"priority": 0,
  
"typeEvaluationRule": "string",
  
"valueEvaluationRule": "string",
  
"typeTransformationRule": "string",
  
"valueTransformationRule": "string",
  
"typeTransformationReplacement": "string",
  
"valueTransformationReplacement": "string",
  
"isActive": true,
  
"subscriptionId": "string",
  
"applyToIdpInstanceId": "string",
  
"applyToSubscriptionId": "string",
  
"applyToTenantId": "string",
  
"clientApps": "[Circular Reference]"
}

CreateOrUpdateClaimRule

POST
/api/management/v1/ClaimRule/createorupdate

Request Body

JSON
{
  
"id": "string",
  
"name": "string",
  
"ruleType": 0,
  
"filterTarget": 0,
  
"transformTarget": 0,
  
"ruleLevel": 0,
  
"destination": 0,
  
"priority": 0,
  
"typeEvaluationRule": "string",
  
"valueEvaluationRule": "string",
  
"typeTransformationRule": "string",
  
"valueTransformationRule": "string",
  
"typeTransformationReplacement": "string",
  
"valueTransformationReplacement": "string",
  
"isActive": true,
  
"subscriptionId": "string",
  
"applyToIdpInstanceId": "string",
  
"applyToSubscriptionId": "string",
  
"applyToTenantId": "string",
  
"clientApps": "[Circular Reference]"
}

Responses

Created

application/json
JSON
{
  
"id": "string",
  
"name": "string",
  
"ruleType": 0,
  
"filterTarget": 0,
  
"transformTarget": 0,
  
"ruleLevel": 0,
  
"destination": 0,
  
"priority": 0,
  
"typeEvaluationRule": "string",
  
"valueEvaluationRule": "string",
  
"typeTransformationRule": "string",
  
"valueTransformationRule": "string",
  
"typeTransformationReplacement": "string",
  
"valueTransformationReplacement": "string",
  
"isActive": true,
  
"subscriptionId": "string",
  
"applyToIdpInstanceId": "string",
  
"applyToSubscriptionId": "string",
  
"applyToTenantId": "string",
  
"clientApps": "[Circular Reference]"
}

GetClaimRule

GET
/api/management/v1/ClaimRule/{id}

Responses

OK

application/json
JSON
{
  
"id": "string",
  
"name": "string",
  
"ruleType": 0,
  
"filterTarget": 0,
  
"transformTarget": 0,
  
"ruleLevel": 0,
  
"destination": 0,
  
"priority": 0,
  
"typeEvaluationRule": "string",
  
"valueEvaluationRule": "string",
  
"typeTransformationRule": "string",
  
"valueTransformationRule": "string",
  
"typeTransformationReplacement": "string",
  
"valueTransformationReplacement": "string",
  
"isActive": true,
  
"subscriptionId": "string",
  
"applyToIdpInstanceId": "string",
  
"applyToSubscriptionId": "string",
  
"applyToTenantId": "string",
  
"clientApps": "[Circular Reference]"
}

UpdateClaimRule

PUT
/api/management/v1/ClaimRule/{id}

Request Body

JSON
{
  
"id": "string",
  
"name": "string",
  
"ruleType": 0,
  
"filterTarget": 0,
  
"transformTarget": 0,
  
"ruleLevel": 0,
  
"destination": 0,
  
"priority": 0,
  
"typeEvaluationRule": "string",
  
"valueEvaluationRule": "string",
  
"typeTransformationRule": "string",
  
"valueTransformationRule": "string",
  
"typeTransformationReplacement": "string",
  
"valueTransformationReplacement": "string",
  
"isActive": true,
  
"subscriptionId": "string",
  
"applyToIdpInstanceId": "string",
  
"applyToSubscriptionId": "string",
  
"applyToTenantId": "string",
  
"clientApps": "[Circular Reference]"
}

Responses

Accepted

application/json
JSON
{
  
"id": "string",
  
"name": "string",
  
"ruleType": 0,
  
"filterTarget": 0,
  
"transformTarget": 0,
  
"ruleLevel": 0,
  
"destination": 0,
  
"priority": 0,
  
"typeEvaluationRule": "string",
  
"valueEvaluationRule": "string",
  
"typeTransformationRule": "string",
  
"valueTransformationRule": "string",
  
"typeTransformationReplacement": "string",
  
"valueTransformationReplacement": "string",
  
"isActive": true,
  
"subscriptionId": "string",
  
"applyToIdpInstanceId": "string",
  
"applyToSubscriptionId": "string",
  
"applyToTenantId": "string",
  
"clientApps": "[Circular Reference]"
}

DeleteClaimRule

DELETE
/api/management/v1/ClaimRule/{id}

Responses

No Content


PatchClaimRule

PATCH
/api/management/v1/ClaimRule/{id}

Request Body

JSON
[
  
{
  
  
"op": "string",
  
  
"path": "string",
  
  
"from": "string",
  
  
"value": null
  
}
]

Responses

Accepted

application/json
JSON
{
  
"id": "string",
  
"name": "string",
  
"ruleType": 0,
  
"filterTarget": 0,
  
"transformTarget": 0,
  
"ruleLevel": 0,
  
"destination": 0,
  
"priority": 0,
  
"typeEvaluationRule": "string",
  
"valueEvaluationRule": "string",
  
"typeTransformationRule": "string",
  
"valueTransformationRule": "string",
  
"typeTransformationReplacement": "string",
  
"valueTransformationReplacement": "string",
  
"isActive": true,
  
"subscriptionId": "string",
  
"applyToIdpInstanceId": "string",
  
"applyToSubscriptionId": "string",
  
"applyToTenantId": "string",
  
"clientApps": "[Circular Reference]"
}

UpdateClaimRules

PUT
/api/management/v1/ClaimRule/batch

Request Body

JSON
[
]

Responses

OK

application/json
JSON
[
]

CreateClaimRules

POST
/api/management/v1/ClaimRule/batch

Request Body

JSON
[
]

Responses

OK

application/json
JSON
[
]

DeleteClaimRules

DELETE
/api/management/v1/ClaimRule/batch

Request Body

JSON
[
]

Responses

No Content


PatchClaimRules

PATCH
/api/management/v1/ClaimRule/batch

Request Body

JSON
[
]

Responses

Accepted

application/json
JSON
[
  
{
  
  
"id": "string",
  
  
"name": "string",
  
  
"ruleType": 0,
  
  
"filterTarget": 0,
  
  
"transformTarget": 0,
  
  
"ruleLevel": 0,
  
  
"destination": 0,
  
  
"priority": 0,
  
  
"typeEvaluationRule": "string",
  
  
"valueEvaluationRule": "string",
  
  
"typeTransformationRule": "string",
  
  
"valueTransformationRule": "string",
  
  
"typeTransformationReplacement": "string",
  
  
"valueTransformationReplacement": "string",
  
  
"isActive": true,
  
  
"subscriptionId": "string",
  
  
"applyToIdpInstanceId": "string",
  
  
"applyToSubscriptionId": "string",
  
  
"applyToTenantId": "string",
  
  
"clientApps": "[Circular Reference]"
  
}
]

CreateOrUpdateClaimRules

POST
/api/management/v1/ClaimRule/createorupdate/batch

Request Body

JSON
[
]

Responses

OK

application/json
JSON
[
]

GetCustomAsset

GET
/api/management/v1/CustomAsset/{id}

Responses

OK

application/json
JSON
{
  
"location": "string",
  
"mimetype": "string",
  
"data": "string",
  
"size": 0,
  
"fileName": "string"
}

UpdateCustomAsset

PUT
/api/management/v1/CustomAsset/{id}

Request Body

JSON
{
  
"location": "string",
  
"mimetype": "string",
  
"data": "string",
  
"size": 0,
  
"fileName": "string"
}

Responses

Accepted

application/json
JSON
{
  
"location": "string",
  
"mimetype": "string",
  
"data": "string",
  
"size": 0,
  
"fileName": "string"
}

DeleteCustomAsset

DELETE
/api/management/v1/CustomAsset/{id}

Responses

No Content


PatchCustomAsset

PATCH
/api/management/v1/CustomAsset/{id}

Request Body

JSON
[
  
{
  
  
"op": "string",
  
  
"path": "string",
  
  
"from": "string",
  
  
"value": null
  
}
]

Responses

Accepted

application/json
JSON
{
  
"location": "string",
  
"mimetype": "string",
  
"data": "string",
  
"size": 0,
  
"fileName": "string"
}

CreateCustomAssetByExpander

POST
/api/management/v1/CustomAsset/create

Request Body

JSON
{
  
"mimetype": "string",
  
"assetFileName": "string",
  
"data": "string",
  
"applyToType": 0,
  
"tenantId": "string",
  
"clientAppId": "string",
  
"subscriptionId": "string",
  
"location": "string"
}

Responses

Created

application/json
JSON
{
  
"location": "string",
  
"mimetype": "string",
  
"data": "string",
  
"size": 0,
  
"fileName": "string"
}

GetSupportedMimetypes

GET
/api/management/v1/CustomAsset/mimetypes

Responses

OK

application/json
JSON
[
  
"string"
]

GetCustomAssets

GET
/api/management/v1/CustomAsset

Responses

OK

application/json
JSON
[
  
{
  
  
"location": "string",
  
  
"mimetype": "string",
  
  
"data": "string",
  
  
"size": 0,
  
  
"fileName": "string"
  
}
]

CreateCustomAsset

POST
/api/management/v1/CustomAsset

Request Body

JSON
{
  
"location": "string",
  
"mimetype": "string",
  
"data": "string",
  
"size": 0,
  
"fileName": "string"
}

Responses

Created

application/json
JSON
{
  
"location": "string",
  
"mimetype": "string",
  
"data": "string",
  
"size": 0,
  
"fileName": "string"
}

CreateOrUpdateCustomAsset

POST
/api/management/v1/CustomAsset/createorupdate

Request Body

JSON
{
  
"location": "string",
  
"mimetype": "string",
  
"data": "string",
  
"size": 0,
  
"fileName": "string"
}

Responses

Created

application/json
JSON
{
  
"location": "string",
  
"mimetype": "string",
  
"data": "string",
  
"size": 0,
  
"fileName": "string"
}

UpdateCustomAssets

PUT
/api/management/v1/CustomAsset/batch

Request Body

JSON
[
]

Responses

OK

application/json
JSON
[
]

CreateCustomAssets

POST
/api/management/v1/CustomAsset/batch

Request Body

JSON
[
]

Responses

OK

application/json
JSON
[
]

DeleteCustomAssets

DELETE
/api/management/v1/CustomAsset/batch

Request Body

JSON
[
]

Responses

No Content


PatchCustomAssets

PATCH
/api/management/v1/CustomAsset/batch

Request Body

JSON
[
  
{
  
  
"ids": [...],
  
  
"patch": null
  
}
]

Responses

Accepted

application/json
JSON
[
  
{
  
  
"location": "string",
  
  
"mimetype": "string",
  
  
"data": "string",
  
  
"size": 0,
  
  
"fileName": "string"
  
}
]

CreateOrUpdateCustomAssets

POST
/api/management/v1/CustomAsset/createorupdate/batch

Request Body

JSON
[
]

Responses

OK

application/json
JSON
[
]

GetCustomers

GET
/api/management/v1/Customer

Responses

OK

application/json
JSON
[
  
{
  
  
"id": "string",
  
  
"name": "string",
  
  
"address": "string"
  
}
]

CreateCustomer

POST
/api/management/v1/Customer

Request Body

JSON
{
  
"id": "string",
  
"name": "string",
  
"address": "string"
}

Responses

Created

application/json
JSON
{
  
"id": "string",
  
"name": "string",
  
"address": "string"
}

UpdateCustomers

PUT
/api/management/v1/Customer/batch

Request Body

JSON
[
]

Responses

OK

application/json
JSON
[
]

CreateCustomers

POST
/api/management/v1/Customer/batch

Request Body

JSON
[
]

Responses

OK

application/json
JSON
[
]

DeleteCustomers

DELETE
/api/management/v1/Customer/batch

Request Body

JSON
[
]

Responses

No Content


PatchCustomers

PATCH
/api/management/v1/Customer/batch

Request Body

JSON
[
]

Responses

Accepted

application/json
JSON
[
  
{
  
  
"id": "string",
  
  
"name": "string",
  
  
"address": "string"
  
}
]

GetCustomer

GET
/api/management/v1/Customer/{id}

Responses

OK

application/json
JSON
{
  
"id": "string",
  
"name": "string",
  
"address": "string"
}

UpdateCustomer

PUT
/api/management/v1/Customer/{id}

Request Body

JSON
{
  
"id": "string",
  
"name": "string",
  
"address": "string"
}

Responses

Accepted

application/json
JSON
{
  
"id": "string",
  
"name": "string",
  
"address": "string"
}

DeleteCustomer

DELETE
/api/management/v1/Customer/{id}

Responses

No Content


PatchCustomer

PATCH
/api/management/v1/Customer/{id}

Request Body

JSON
[
  
{
  
  
"op": "string",
  
  
"path": "string",
  
  
"from": "string",
  
  
"value": null
  
}
]

Responses

Accepted

application/json
JSON
{
  
"id": "string",
  
"name": "string",
  
"address": "string"
}

CreateOrUpdateCustomer

POST
/api/management/v1/Customer/createorupdate

Request Body

JSON
{
  
"id": "string",
  
"name": "string",
  
"address": "string"
}

Responses

Created

application/json
JSON
{
  
"id": "string",
  
"name": "string",
  
"address": "string"
}

CreateOrUpdateCustomers

POST
/api/management/v1/Customer/createorupdate/batch

Request Body

JSON
[
]

Responses

OK

application/json
JSON
[
]

GetCustomView

GET
/api/management/v1/CustomView/{id}

Responses

OK

application/json
JSON
{
  
"location": "string",
  
"content": "string"
}

UpdateCustomView

PUT
/api/management/v1/CustomView/{id}

Request Body

JSON
{
  
"location": "string",
  
"content": "string"
}

Responses

Accepted

application/json
JSON
{
  
"location": "string",
  
"content": "string"
}

DeleteCustomView

DELETE
/api/management/v1/CustomView/{id}

Responses

No Content


PatchCustomView

PATCH
/api/management/v1/CustomView/{id}

Request Body

JSON
[
  
{
  
  
"op": "string",
  
  
"path": "string",
  
  
"from": "string",
  
  
"value": null
  
}
]

Responses

Accepted

application/json
JSON
{
  
"location": "string",
  
"content": "string"
}

CreateCustomViewFromTemplate

POST
/api/management/v1/CustomView/viewtemplate/view

Request Body

JSON
{
  
"viewName": "string",
  
"applyToType": 0,
  
"tenantId": "string",
  
"clientAppId": "string",
  
"subscriptionId": "string",
  
"location": "string"
}

Responses

Created

application/json
JSON
{
  
"location": "string",
  
"content": "string"
}

GetAllTemplateViews

GET
/api/management/v1/CustomView/viewtemplate/names

Responses

OK

application/json
JSON
[
]

GetTemplateViewContent

GET
/api/management/v1/CustomView/viewtemplate/content/{viewName}

Responses

OK

application/json
JSON
"string"

GetCustomViews

GET
/api/management/v1/CustomView

Responses

OK

application/json
JSON
[
  
{
  
  
"location": "string",
  
  
"content": "string"
  
}
]

CreateCustomView

POST
/api/management/v1/CustomView

Request Body

JSON
{
  
"location": "string",
  
"content": "string"
}

Responses

Created

application/json
JSON
{
  
"location": "string",
  
"content": "string"
}

CreateOrUpdateCustomView

POST
/api/management/v1/CustomView/createorupdate

Request Body

JSON
{
  
"location": "string",
  
"content": "string"
}

Responses

Created

application/json
JSON
{
  
"location": "string",
  
"content": "string"
}

UpdateCustomViews

PUT
/api/management/v1/CustomView/batch

Request Body

JSON
[
]

Responses

OK

application/json
JSON
[
]

CreateCustomViews

POST
/api/management/v1/CustomView/batch

Request Body

JSON
[
]

Responses

OK

application/json
JSON
[
]

DeleteCustomViews

DELETE
/api/management/v1/CustomView/batch

Request Body

JSON
[
]

Responses

No Content


PatchCustomViews

PATCH
/api/management/v1/CustomView/batch

Request Body

JSON
[
]

Responses

Accepted

application/json
JSON
[
  
{
  
  
"location": "string",
  
  
"content": "string"
  
}
]

CreateOrUpdateCustomViews

POST
/api/management/v1/CustomView/createorupdate/batch

Request Body

JSON
[
]

Responses

OK

application/json
JSON
[
]

IdpInstance


GetIdpInstancesByTenantAndClientApp

GET
/api/management/v1/IdpInstance/tenant/{tenantId}/clientapp/{clientAppId}

Responses

OK

application/json
JSON
[
  
{
  
  
"id": "string",
  
  
"name": "string",
  
  
"position": 0,
  
  
"isActive": true,
  
  
"treatSecondFactorClaimsAsConfirmed": true,
  
  
"autoCreateProAuthUser": true,
  
  
"isHidden": true,
  
  
"icon": "string",
  
  
"idpTypeId": "string",
  
  
"idpFactoryType": "string",
  
  
"subscriptionId": "string",
  
  
"hasConfigurationError": true,
  
  
"options": [...],
  
  
"twoFactorInstances": [...],
  
  
"tenants": [...],
  
  
"clientApps": [...],
  
  
"certStores": [...],
  
  
"metadata": [...]
  
}
]

GetIdpInstancesByTenantId

GET
/api/management/v1/IdpInstance/tenant/{tenantId}

Responses

OK

application/json
JSON
[
  
{
  
  
"id": "string",
  
  
"name": "string",
  
  
"position": 0,
  
  
"isActive": true,
  
  
"treatSecondFactorClaimsAsConfirmed": true,
  
  
"autoCreateProAuthUser": true,
  
  
"isHidden": true,
  
  
"icon": "string",
  
  
"idpTypeId": "string",
  
  
"idpFactoryType": "string",
  
  
"subscriptionId": "string",
  
  
"hasConfigurationError": true,
  
  
"options": [...],
  
  
"twoFactorInstances": [...],
  
  
"tenants": [...],
  
  
"clientApps": [...],
  
  
"certStores": [...],
  
  
"metadata": [...]
  
}
]

GetIdpInstancesBySubscription

GET
/api/management/v1/IdpInstance/subscription/{subscriptionId}

Responses

OK

application/json
JSON
[
]

GenerateScimToken

POST
/api/management/v1/IdpInstance/{idpInstance}/scim/token

Responses

No Content


GetIdpInstanceHealthStatus

GET
/api/management/v1/IdpInstance/{idpInstance}/health

Responses

OK

application/json
JSON
{
  
"instanceId": "string",
  
"hasConfigurationError": true,
  
"isOperational": true
}

GetIdpInstances

GET
/api/management/v1/IdpInstance

Responses

OK

application/json
JSON
[
]

CreateIdpInstance

POST
/api/management/v1/IdpInstance

Request Body

JSON
{
  
"id": "string",
  
"name": "string",
  
"position": 0,
  
"isActive": true,
  
"treatSecondFactorClaimsAsConfirmed": true,
  
"autoCreateProAuthUser": true,
  
"isHidden": true,
  
"icon": "string",
  
"idpTypeId": "string",
  
"idpFactoryType": "string",
  
"subscriptionId": "string",
  
"hasConfigurationError": true,
  
"options": [
  
  
{...}
  
],
  
"twoFactorInstances": [
  
  
{...}
  
],
  
"tenants": [
  
],
  
"clientApps": [
  
],
  
"certStores": [
  
  
{...}
  
],
  
"metadata": [
  
  
{...}
  
]
}

Responses

Created

application/json
JSON
{
  
"id": "string",
  
"name": "string",
  
"position": 0,
  
"isActive": true,
  
"treatSecondFactorClaimsAsConfirmed": true,
  
"autoCreateProAuthUser": true,
  
"isHidden": true,
  
"icon": "string",
  
"idpTypeId": "string",
  
"idpFactoryType": "string",
  
"subscriptionId": "string",
  
"hasConfigurationError": true,
  
"options": [
  
  
{...}
  
],
  
"twoFactorInstances": [
  
  
{...}
  
],
  
"tenants": [
  
],
  
"clientApps": [
  
],
  
"certStores": [
  
  
{...}
  
],
  
"metadata": [
  
  
{...}
  
]
}

CreateOrUpdateIdpInstance

POST
/api/management/v1/IdpInstance/createorupdate

Request Body

JSON
{
  
"id": "string",
  
"name": "string",
  
"position": 0,
  
"isActive": true,
  
"treatSecondFactorClaimsAsConfirmed": true,
  
"autoCreateProAuthUser": true,
  
"isHidden": true,
  
"icon": "string",
  
"idpTypeId": "string",
  
"idpFactoryType": "string",
  
"subscriptionId": "string",
  
"hasConfigurationError": true,
  
"options": [
  
  
{...}
  
],
  
"twoFactorInstances": [
  
  
{...}
  
],
  
"tenants": [
  
],
  
"clientApps": [
  
],
  
"certStores": [
  
  
{...}
  
],
  
"metadata": [
  
  
{...}
  
]
}

Responses

Created

application/json
JSON
{
  
"id": "string",
  
"name": "string",
  
"position": 0,
  
"isActive": true,
  
"treatSecondFactorClaimsAsConfirmed": true,
  
"autoCreateProAuthUser": true,
  
"isHidden": true,
  
"icon": "string",
  
"idpTypeId": "string",
  
"idpFactoryType": "string",
  
"subscriptionId": "string",
  
"hasConfigurationError": true,
  
"options": [
  
  
{...}
  
],
  
"twoFactorInstances": [
  
  
{...}
  
],
  
"tenants": [
  
],
  
"clientApps": [
  
],
  
"certStores": [
  
  
{...}
  
],
  
"metadata": [
  
  
{...}
  
]
}

GetIdpInstance

GET
/api/management/v1/IdpInstance/{id}

Responses

OK

application/json
JSON
{
  
"id": "string",
  
"name": "string",
  
"position": 0,
  
"isActive": true,
  
"treatSecondFactorClaimsAsConfirmed": true,
  
"autoCreateProAuthUser": true,
  
"isHidden": true,
  
"icon": "string",
  
"idpTypeId": "string",
  
"idpFactoryType": "string",
  
"subscriptionId": "string",
  
"hasConfigurationError": true,
  
"options": [
  
  
{...}
  
],
  
"twoFactorInstances": [
  
  
{...}
  
],
  
"tenants": [
  
],
  
"clientApps": [
  
],
  
"certStores": [
  
  
{...}
  
],
  
"metadata": [
  
  
{...}
  
]
}

UpdateIdpInstance

PUT
/api/management/v1/IdpInstance/{id}

Request Body

JSON
{
  
"id": "string",
  
"name": "string",
  
"position": 0,
  
"isActive": true,
  
"treatSecondFactorClaimsAsConfirmed": true,
  
"autoCreateProAuthUser": true,
  
"isHidden": true,
  
"icon": "string",
  
"idpTypeId": "string",
  
"idpFactoryType": "string",
  
"subscriptionId": "string",
  
"hasConfigurationError": true,
  
"options": [
  
  
{...}
  
],
  
"twoFactorInstances": [
  
  
{...}
  
],
  
"tenants": [
  
],
  
"clientApps": [
  
],
  
"certStores": [
  
  
{...}
  
],
  
"metadata": [
  
  
{...}
  
]
}

Responses

Accepted

application/json
JSON
{
  
"id": "string",
  
"name": "string",
  
"position": 0,
  
"isActive": true,
  
"treatSecondFactorClaimsAsConfirmed": true,
  
"autoCreateProAuthUser": true,
  
"isHidden": true,
  
"icon": "string",
  
"idpTypeId": "string",
  
"idpFactoryType": "string",
  
"subscriptionId": "string",
  
"hasConfigurationError": true,
  
"options": [
  
  
{...}
  
],
  
"twoFactorInstances": [
  
  
{...}
  
],
  
"tenants": [
  
],
  
"clientApps": [
  
],
  
"certStores": [
  
  
{...}
  
],
  
"metadata": [
  
  
{...}
  
]
}

DeleteIdpInstance

DELETE
/api/management/v1/IdpInstance/{id}

Responses

No Content


PatchIdpInstance

PATCH
/api/management/v1/IdpInstance/{id}

Request Body

JSON
[
  
{
  
  
"op": "string",
  
  
"path": "string",
  
  
"from": "string",
  
  
"value": null
  
}
]

Responses

Accepted

application/json
JSON
{
  
"id": "string",
  
"name": "string",
  
"position": 0,
  
"isActive": true,
  
"treatSecondFactorClaimsAsConfirmed": true,
  
"autoCreateProAuthUser": true,
  
"isHidden": true,
  
"icon": "string",
  
"idpTypeId": "string",
  
"idpFactoryType": "string",
  
"subscriptionId": "string",
  
"hasConfigurationError": true,
  
"options": [
  
  
{...}
  
],
  
"twoFactorInstances": [
  
  
{...}
  
],
  
"tenants": [
  
],
  
"clientApps": [
  
],
  
"certStores": [
  
  
{...}
  
],
  
"metadata": [
  
  
{...}
  
]
}

UpdateIdpInstances

PUT
/api/management/v1/IdpInstance/batch

Request Body

JSON
[
]

Responses

OK

application/json
JSON
[
]

CreateIdpInstances

POST
/api/management/v1/IdpInstance/batch

Request Body

JSON
[
]

Responses

OK

application/json
JSON
[
]

DeleteIdpInstances

DELETE
/api/management/v1/IdpInstance/batch

Request Body

JSON
[
]

Responses

No Content


PatchIdpInstances

PATCH
/api/management/v1/IdpInstance/batch

Request Body

JSON
[
]

Responses

Accepted

application/json
JSON
[
  
{
  
  
"id": "string",
  
  
"name": "string",
  
  
"position": 0,
  
  
"isActive": true,
  
  
"treatSecondFactorClaimsAsConfirmed": true,
  
  
"autoCreateProAuthUser": true,
  
  
"isHidden": true,
  
  
"icon": "string",
  
  
"idpTypeId": "string",
  
  
"idpFactoryType": "string",
  
  
"subscriptionId": "string",
  
  
"hasConfigurationError": true,
  
  
"options": [...],
  
  
"twoFactorInstances": [...],
  
  
"tenants": [...],
  
  
"clientApps": [...],
  
  
"certStores": [...],
  
  
"metadata": [...]
  
}
]

CreateOrUpdateIdpInstances

POST
/api/management/v1/IdpInstance/createorupdate/batch

Request Body

JSON
[
]

Responses

OK

application/json
JSON
[
]

IdpInstanceMetadata


GetIdpInstanceMetadataByIdpInstanceId

GET
/api/management/v1/IdpInstance/{idpInstanceId}/IdpInstanceMetadata/idpInstanceId

Responses

OK

application/json
JSON
[
  
{
  
  
"idpInstanceId": "string",
  
  
"key": "string",
  
  
"value": "string"
  
}
]

GetIdpInstanceMetadata

GET
/api/management/v1/IdpInstance/{idpInstanceId}/IdpInstanceMetadata/{key}

Responses

OK

application/json
JSON
{
  
"idpInstanceId": "string",
  
"key": "string",
  
"value": "string"
}

UpdateIdpInstanceMetadata

PUT
/api/management/v1/IdpInstance/{idpInstanceId}/IdpInstanceMetadata/{key}

Request Body

JSON
{
  
"idpInstanceId": "string",
  
"key": "string",
  
"value": "string"
}

Responses

Accepted

application/json
JSON
{
  
"idpInstanceId": "string",
  
"key": "string",
  
"value": "string"
}

DeleteIdpInstanceMetadata

DELETE
/api/management/v1/IdpInstance/{idpInstanceId}/IdpInstanceMetadata/{key}

Responses

No Content


PatchIdpInstanceMetadata

PATCH
/api/management/v1/IdpInstance/{idpInstanceId}/IdpInstanceMetadata/{key}

Request Body

JSON
[
  
{
  
  
"op": "string",
  
  
"path": "string",
  
  
"from": "string",
  
  
"value": null
  
}
]

Responses

Accepted

application/json
JSON
{
  
"idpInstanceId": "string",
  
"key": "string",
  
"value": "string"
}

UpdateIdpInstanceMetadatas

PUT
/api/management/v1/IdpInstance/{idpInstanceId}/IdpInstanceMetadata/batch

Request Body

JSON
[
]

Responses

OK

application/json
JSON
[
]

CreateIdpInstanceMetadatas

POST
/api/management/v1/IdpInstance/{idpInstanceId}/IdpInstanceMetadata/batch

Request Body

JSON
[
  
{
  
  
"idpInstanceId": "string",
  
  
"key": "string",
  
  
"value": "string"
  
}
]

Responses

OK

application/json
JSON
[
]

DeleteIdpInstanceMetadatas

DELETE
/api/management/v1/IdpInstance/{idpInstanceId}/IdpInstanceMetadata/batch

Request Body

JSON
[
]

Responses

No Content


PatchIdpInstanceMetadatas

PATCH
/api/management/v1/IdpInstance/{idpInstanceId}/IdpInstanceMetadata/batch

Request Body

JSON
[
  
{
  
  
"ids": [...],
  
  
"patch": null
  
}
]

Responses

Accepted

application/json
JSON
[
  
{
  
  
"idpInstanceId": "string",
  
  
"key": "string",
  
  
"value": "string"
  
}
]

GetIdpInstanceMetadatas

GET
/api/management/v1/IdpInstance/{idpInstanceId}/IdpInstanceMetadata

Responses

OK

application/json
JSON
[
]

CreateIdpInstanceMetadata

POST
/api/management/v1/IdpInstance/{idpInstanceId}/IdpInstanceMetadata

Request Body

JSON
{
  
"idpInstanceId": "string",
  
"key": "string",
  
"value": "string"
}

Responses

Created

application/json
JSON
{
  
"idpInstanceId": "string",
  
"key": "string",
  
"value": "string"
}

CreateOrUpdateIdpInstanceMetadata

POST
/api/management/v1/IdpInstance/{idpInstanceId}/IdpInstanceMetadata/createorupdate

Request Body

JSON
{
  
"idpInstanceId": "string",
  
"key": "string",
  
"value": "string"
}

Responses

Created

application/json
JSON
{
  
"idpInstanceId": "string",
  
"key": "string",
  
"value": "string"
}

CreateOrUpdateIdpInstanceMetadatas

POST
/api/management/v1/IdpInstance/{idpInstanceId}/IdpInstanceMetadata/createorupdate/batch

Request Body

JSON
[
]

Responses

OK

application/json
JSON
[
]

GetIdpTypeByName

GET
/api/management/v1/IdpType/name/{name}

Responses

OK

application/json
JSON
{
  
"id": "string",
  
"name": "string",
  
"providerType": 0,
  
"factoryType": "string",
  
"isActive": true,
  
"twoFactorInstances": "[Circular Reference]"
}

GetIdpTypes

GET
/api/management/v1/IdpType

Responses

OK

application/json
JSON
[
  
{
  
  
"id": "string",
  
  
"name": "string",
  
  
"providerType": 0,
  
  
"factoryType": "string",
  
  
"isActive": true,
  
  
"twoFactorInstances": "[Circular Reference]"
  
}
]

CreateIdpType

POST
/api/management/v1/IdpType

Request Body

JSON
{
  
"id": "string",
  
"name": "string",
  
"providerType": 0,
  
"factoryType": "string",
  
"isActive": true,
  
"twoFactorInstances": "[Circular Reference]"
}

Responses

Created

application/json
JSON
{
  
"id": "string",
  
"name": "string",
  
"providerType": 0,
  
"factoryType": "string",
  
"isActive": true,
  
"twoFactorInstances": "[Circular Reference]"
}

UpdateIdpTypes

PUT
/api/management/v1/IdpType/batch

Request Body

JSON
[
]

Responses

OK

application/json
JSON
[
]

CreateIdpTypes

POST
/api/management/v1/IdpType/batch

Request Body

JSON
[
]

Responses

OK

application/json
JSON
[
]

DeleteIdpTypes

DELETE
/api/management/v1/IdpType/batch

Request Body

JSON
[
]

Responses

No Content


PatchIdpTypes

PATCH
/api/management/v1/IdpType/batch

Request Body

JSON
[
]

Responses

Accepted

application/json
JSON
[
  
{
  
  
"id": "string",
  
  
"name": "string",
  
  
"providerType": 0,
  
  
"factoryType": "string",
  
  
"isActive": true,
  
  
"twoFactorInstances": "[Circular Reference]"
  
}
]

GetIdpType

GET
/api/management/v1/IdpType/{id}

Responses

OK

application/json
JSON
{
  
"id": "string",
  
"name": "string",
  
"providerType": 0,
  
"factoryType": "string",
  
"isActive": true,
  
"twoFactorInstances": "[Circular Reference]"
}

UpdateIdpType

PUT
/api/management/v1/IdpType/{id}

Request Body

JSON
{
  
"id": "string",
  
"name": "string",
  
"providerType": 0,
  
"factoryType": "string",
  
"isActive": true,
  
"twoFactorInstances": "[Circular Reference]"
}

Responses

Accepted

application/json
JSON
{
  
"id": "string",
  
"name": "string",
  
"providerType": 0,
  
"factoryType": "string",
  
"isActive": true,
  
"twoFactorInstances": "[Circular Reference]"
}

DeleteIdpType

DELETE
/api/management/v1/IdpType/{id}

Responses

No Content


PatchIdpType

PATCH
/api/management/v1/IdpType/{id}

Request Body

JSON
[
  
{
  
  
"op": "string",
  
  
"path": "string",
  
  
"from": "string",
  
  
"value": null
  
}
]

Responses

Accepted

application/json
JSON
{
  
"id": "string",
  
"name": "string",
  
"providerType": 0,
  
"factoryType": "string",
  
"isActive": true,
  
"twoFactorInstances": "[Circular Reference]"
}

CreateOrUpdateIdpType

POST
/api/management/v1/IdpType/createorupdate

Request Body

JSON
{
  
"id": "string",
  
"name": "string",
  
"providerType": 0,
  
"factoryType": "string",
  
"isActive": true,
  
"twoFactorInstances": "[Circular Reference]"
}

Responses

Created

application/json
JSON
{
  
"id": "string",
  
"name": "string",
  
"providerType": 0,
  
"factoryType": "string",
  
"isActive": true,
  
"twoFactorInstances": "[Circular Reference]"
}

CreateOrUpdateIdpTypes

POST
/api/management/v1/IdpType/createorupdate/batch

Request Body

JSON
[
]

Responses

OK

application/json
JSON
[
]

GetIpAddressRangesForTenantId

GET
/api/management/v1/IpAddressRange/tenant/{tenantId}

Responses

OK

application/json
JSON
[
  
{
  
  
"id": "string",
  
  
"lower": "string",
  
  
"upper": "string",
  
  
"tenantId": "string"
  
}
]

GetIpAddressRanges

GET
/api/management/v1/IpAddressRange

Responses

OK

application/json
JSON
[
  
{
  
  
"id": "string",
  
  
"lower": "string",
  
  
"upper": "string",
  
  
"tenantId": "string"
  
}
]

CreateIpAddressRange

POST
/api/management/v1/IpAddressRange

Request Body

JSON
{
  
"id": "string",
  
"lower": "string",
  
"upper": "string",
  
"tenantId": "string"
}

Responses

Created

application/json
JSON
{
  
"id": "string",
  
"lower": "string",
  
"upper": "string",
  
"tenantId": "string"
}

CreateOrUpdateIpAddressRange

POST
/api/management/v1/IpAddressRange/createorupdate

Request Body

JSON
{
  
"id": "string",
  
"lower": "string",
  
"upper": "string",
  
"tenantId": "string"
}

Responses

Created

application/json
JSON
{
  
"id": "string",
  
"lower": "string",
  
"upper": "string",
  
"tenantId": "string"
}

GetIpAddressRange

GET
/api/management/v1/IpAddressRange/{id}

Responses

OK

application/json
JSON
{
  
"id": "string",
  
"lower": "string",
  
"upper": "string",
  
"tenantId": "string"
}

UpdateIpAddressRange

PUT
/api/management/v1/IpAddressRange/{id}

Request Body

JSON
{
  
"id": "string",
  
"lower": "string",
  
"upper": "string",
  
"tenantId": "string"
}

Responses

Accepted

application/json
JSON
{
  
"id": "string",
  
"lower": "string",
  
"upper": "string",
  
"tenantId": "string"
}

DeleteIpAddressRange

DELETE
/api/management/v1/IpAddressRange/{id}

Responses

No Content


PatchIpAddressRange

PATCH
/api/management/v1/IpAddressRange/{id}

Request Body

JSON
[
  
{
  
  
"op": "string",
  
  
"path": "string",
  
  
"from": "string",
  
  
"value": null
  
}
]

Responses

Accepted

application/json
JSON
{
  
"id": "string",
  
"lower": "string",
  
"upper": "string",
  
"tenantId": "string"
}

UpdateIpAddressRanges

PUT
/api/management/v1/IpAddressRange/batch

Request Body

JSON
[
]

Responses

OK

application/json
JSON
[
]

CreateIpAddressRanges

POST
/api/management/v1/IpAddressRange/batch

Request Body

JSON
[
]

Responses

OK

application/json
JSON
[
]

DeleteIpAddressRanges

DELETE
/api/management/v1/IpAddressRange/batch

Request Body

JSON
[
]

Responses

No Content


PatchIpAddressRanges

PATCH
/api/management/v1/IpAddressRange/batch

Request Body

JSON
[
]

Responses

Accepted

application/json
JSON
[
  
{
  
  
"id": "string",
  
  
"lower": "string",
  
  
"upper": "string",
  
  
"tenantId": "string"
  
}
]

CreateOrUpdateIpAddressRanges

POST
/api/management/v1/IpAddressRange/createorupdate/batch

Request Body

JSON
[
]

Responses

OK

application/json
JSON
[
]

GetOptionValueByName

GET
/api/management/v1/Option/type/{type}/ref/{refId}/name/{name}/value

Responses

OK

application/json
JSON
"string"

GetOptionByType

GET
/api/management/v1/Option/type/{type}/ref/{refId}/name/{name}

Responses

OK

application/json
JSON
{
  
"id": "string",
  
"name": "string",
  
"value": "string",
  
"hasConfigurationError": true,
  
"applyToIdpInstanceId": "string",
  
"applyToTwoFactorInstanceId": "string",
  
"applyToTenantId": "string"
}

GetOptionsByType

GET
/api/management/v1/Option/type/{type}/ref/{refId}

Responses

OK

application/json
JSON
[
  
{
  
  
"id": "string",
  
  
"name": "string",
  
  
"value": "string",
  
  
"hasConfigurationError": true,
  
  
"applyToIdpInstanceId": "string",
  
  
"applyToTwoFactorInstanceId": "string",
  
  
"applyToTenantId": "string"
  
}
]

GetOptions

GET
/api/management/v1/Option

Responses

OK

application/json
JSON
[
  
{
  
  
"id": "string",
  
  
"name": "string",
  
  
"value": "string",
  
  
"hasConfigurationError": true,
  
  
"applyToIdpInstanceId": "string",
  
  
"applyToTwoFactorInstanceId": "string",
  
  
"applyToTenantId": "string"
  
}
]

CreateOption

POST
/api/management/v1/Option

Request Body

JSON
{
  
"id": "string",
  
"name": "string",
  
"value": "string",
  
"hasConfigurationError": true,
  
"applyToIdpInstanceId": "string",
  
"applyToTwoFactorInstanceId": "string",
  
"applyToTenantId": "string"
}

Responses

Created

application/json
JSON
{
  
"id": "string",
  
"name": "string",
  
"value": "string",
  
"hasConfigurationError": true,
  
"applyToIdpInstanceId": "string",
  
"applyToTwoFactorInstanceId": "string",
  
"applyToTenantId": "string"
}

CreateOrUpdateOption

POST
/api/management/v1/Option/createorupdate

Request Body

JSON
{
  
"id": "string",
  
"name": "string",
  
"value": "string",
  
"hasConfigurationError": true,
  
"applyToIdpInstanceId": "string",
  
"applyToTwoFactorInstanceId": "string",
  
"applyToTenantId": "string"
}

Responses

Created

application/json
JSON
{
  
"id": "string",
  
"name": "string",
  
"value": "string",
  
"hasConfigurationError": true,
  
"applyToIdpInstanceId": "string",
  
"applyToTwoFactorInstanceId": "string",
  
"applyToTenantId": "string"
}

GetOption

GET
/api/management/v1/Option/{id}

Responses

OK

application/json
JSON
{
  
"id": "string",
  
"name": "string",
  
"value": "string",
  
"hasConfigurationError": true,
  
"applyToIdpInstanceId": "string",
  
"applyToTwoFactorInstanceId": "string",
  
"applyToTenantId": "string"
}

UpdateOption

PUT
/api/management/v1/Option/{id}

Request Body

JSON
{
  
"id": "string",
  
"name": "string",
  
"value": "string",
  
"hasConfigurationError": true,
  
"applyToIdpInstanceId": "string",
  
"applyToTwoFactorInstanceId": "string",
  
"applyToTenantId": "string"
}

Responses

Accepted

application/json
JSON
{
  
"id": "string",
  
"name": "string",
  
"value": "string",
  
"hasConfigurationError": true,
  
"applyToIdpInstanceId": "string",
  
"applyToTwoFactorInstanceId": "string",
  
"applyToTenantId": "string"
}

DeleteOption

DELETE
/api/management/v1/Option/{id}

Responses

No Content


PatchOption

PATCH
/api/management/v1/Option/{id}

Request Body

JSON
[
  
{
  
  
"op": "string",
  
  
"path": "string",
  
  
"from": "string",
  
  
"value": null
  
}
]

Responses

Accepted

application/json
JSON
{
  
"id": "string",
  
"name": "string",
  
"value": "string",
  
"hasConfigurationError": true,
  
"applyToIdpInstanceId": "string",
  
"applyToTwoFactorInstanceId": "string",
  
"applyToTenantId": "string"
}

UpdateOptions

PUT
/api/management/v1/Option/batch

Request Body

JSON
[
]

Responses

OK

application/json
JSON
[
]

CreateOptions

POST
/api/management/v1/Option/batch

Request Body

JSON
[
]

Responses

OK

application/json
JSON
[
]

DeleteOptions

DELETE
/api/management/v1/Option/batch

Request Body

JSON
[
]

Responses

No Content


PatchOptions

PATCH
/api/management/v1/Option/batch

Request Body

JSON
[
]

Responses

Accepted

application/json
JSON
[
  
{
  
  
"id": "string",
  
  
"name": "string",
  
  
"value": "string",
  
  
"hasConfigurationError": true,
  
  
"applyToIdpInstanceId": "string",
  
  
"applyToTwoFactorInstanceId": "string",
  
  
"applyToTenantId": "string"
  
}
]

CreateOrUpdateOptions

POST
/api/management/v1/Option/createorupdate/batch

Request Body

JSON
[
]

Responses

OK

application/json
JSON
[
]

GetOptionMetadataByName

GET
/api/management/v1/OptionMetadata/type/{type}/ref/{refId}/name/{name}

Responses

OK

application/json
JSON
{
  
"id": "string",
  
"name": "string",
  
"description": "string",
  
"category": 0,
  
"isMandatory": true,
  
"defaultValue": "string",
  
"optionType": 0,
  
"optionTargetType": 0,
  
"applyToIdpTypeId": "string",
  
"applyToTwoFactorTypeId": "string"
}

GetOptionsMetadatas

GET
/api/management/v1/OptionMetadata/type/{type}/ref/{refId}

Responses

OK

application/json
JSON
[
  
{
  
  
"id": "string",
  
  
"name": "string",
  
  
"description": "string",
  
  
"category": 0,
  
  
"isMandatory": true,
  
  
"defaultValue": "string",
  
  
"optionType": 0,
  
  
"optionTargetType": 0,
  
  
"applyToIdpTypeId": "string",
  
  
"applyToTwoFactorTypeId": "string"
  
}
]

GetOptionMetadata

GET
/api/management/v1/OptionMetadata/{id}

Responses

OK

application/json
JSON
{
  
"id": "string",
  
"name": "string",
  
"description": "string",
  
"category": 0,
  
"isMandatory": true,
  
"defaultValue": "string",
  
"optionType": 0,
  
"optionTargetType": 0,
  
"applyToIdpTypeId": "string",
  
"applyToTwoFactorTypeId": "string"
}

GetOptionMetadatas

GET
/api/management/v1/OptionMetadata

Responses

OK

application/json
JSON
[
  
{
  
  
"id": "string",
  
  
"name": "string",
  
  
"description": "string",
  
  
"category": 0,
  
  
"isMandatory": true,
  
  
"defaultValue": "string",
  
  
"optionType": 0,
  
  
"optionTargetType": 0,
  
  
"applyToIdpTypeId": "string",
  
  
"applyToTwoFactorTypeId": "string"
  
}
]

ProductInformation


GetProductInformation

GET
/api/management/v1/ProductInformation

Responses

OK

JSON
{
  
"productVersion": {
  
  
"installedProductVersion": "string"
  
},
  
"productLicense": {
  
  
"id": "string",
  
  
"customer": "string",
  
  
"contactPerson": "string",
  
  
"contactEmail": "string",
  
  
"isTrialLicense": true,
  
  
"proAuthEdition": "string",
  
  
"registeredHosts": [...],
  
  
"productLicenseType": "string",
  
  
"licensedProductVersion": "string",
  
  
"softwareUpgradeExpiration": "string",
  
  
"subscriptionExpiration": "string"
  
}
}

GetSubscriptions

GET
/api/management/v1/Subscription

Responses

OK

application/json
JSON
[
  
{
  
  
"id": "string",
  
  
"name": "string",
  
  
"status": 0,
  
  
"customerId": "string"
  
}
]

CreateSubscription

POST
/api/management/v1/Subscription

Request Body

JSON
{
  
"id": "string",
  
"name": "string",
  
"status": 0,
  
"customerId": "string"
}

Responses

Created

application/json
JSON
{
  
"id": "string",
  
"name": "string",
  
"status": 0,
  
"customerId": "string"
}

CreateOrUpdateSubscription

POST
/api/management/v1/Subscription/createorupdate

Request Body

JSON
{
  
"id": "string",
  
"name": "string",
  
"status": 0,
  
"customerId": "string"
}

Responses

Created

application/json
JSON
{
  
"id": "string",
  
"name": "string",
  
"status": 0,
  
"customerId": "string"
}

GetSubscription

GET
/api/management/v1/Subscription/{id}

Responses

OK

application/json
JSON
{
  
"id": "string",
  
"name": "string",
  
"status": 0,
  
"customerId": "string"
}

UpdateSubscription

PUT
/api/management/v1/Subscription/{id}

Request Body

JSON
{
  
"id": "string",
  
"name": "string",
  
"status": 0,
  
"customerId": "string"
}

Responses

Accepted

application/json
JSON
{
  
"id": "string",
  
"name": "string",
  
"status": 0,
  
"customerId": "string"
}

DeleteSubscription

DELETE
/api/management/v1/Subscription/{id}

Responses

No Content


PatchSubscription

PATCH
/api/management/v1/Subscription/{id}

Request Body

JSON
[
  
{
  
  
"op": "string",
  
  
"path": "string",
  
  
"from": "string",
  
  
"value": null
  
}
]

Responses

Accepted

application/json
JSON
{
  
"id": "string",
  
"name": "string",
  
"status": 0,
  
"customerId": "string"
}

UpdateSubscriptions

PUT
/api/management/v1/Subscription/batch

Request Body

JSON
[
]

Responses

OK

application/json
JSON
[
]

CreateSubscriptions

POST
/api/management/v1/Subscription/batch

Request Body

JSON
[
]

Responses

OK

application/json
JSON
[
]

DeleteSubscriptions

DELETE
/api/management/v1/Subscription/batch

Request Body

JSON
[
]

Responses

No Content


PatchSubscriptions

PATCH
/api/management/v1/Subscription/batch

Request Body

JSON
[
]

Responses

Accepted

application/json
JSON
[
  
{
  
  
"id": "string",
  
  
"name": "string",
  
  
"status": 0,
  
  
"customerId": "string"
  
}
]

CreateOrUpdateSubscriptions

POST
/api/management/v1/Subscription/createorupdate/batch

Request Body

JSON
[
]

Responses

OK

application/json
JSON
[
]

GetTenants

GET
/api/management/v1/Tenant

Responses

OK

application/json
JSON
[
  
{
  
  
"id": "string",
  
  
"name": "string",
  
  
"accessGrantConsent": 0,
  
  
"logoutConsent": 0,
  
  
"tenantKey": "string",
  
  
"hasConfigurationError": true,
  
  
"subscriptionId": "string",
  
  
"options": [...],
  
  
"ipAddressRanges": [...],
  
  
"idpInstances": "[Circular Reference]",
  
  
"twoFactorInstances": "[Circular Reference]",
  
  
"clientApps": "[Circular Reference]"
  
}
]

CreateTenant

POST
/api/management/v1/Tenant

Request Body

JSON
{
  
"id": "string",
  
"name": "string",
  
"accessGrantConsent": 0,
  
"logoutConsent": 0,
  
"tenantKey": "string",
  
"hasConfigurationError": true,
  
"subscriptionId": "string",
  
"options": [
  
],
  
"ipAddressRanges": [
  
  
{...}
  
],
  
"idpInstances": "[Circular Reference]",
  
"twoFactorInstances": "[Circular Reference]",
  
"clientApps": "[Circular Reference]"
}

Responses

Created

application/json
JSON
{
  
"id": "string",
  
"name": "string",
  
"accessGrantConsent": 0,
  
"logoutConsent": 0,
  
"tenantKey": "string",
  
"hasConfigurationError": true,
  
"subscriptionId": "string",
  
"options": [
  
],
  
"ipAddressRanges": [
  
  
{...}
  
],
  
"idpInstances": "[Circular Reference]",
  
"twoFactorInstances": "[Circular Reference]",
  
"clientApps": "[Circular Reference]"
}

CreateOrUpdateTenant

POST
/api/management/v1/Tenant/createorupdate

Request Body

JSON
{
  
"id": "string",
  
"name": "string",
  
"accessGrantConsent": 0,
  
"logoutConsent": 0,
  
"tenantKey": "string",
  
"hasConfigurationError": true,
  
"subscriptionId": "string",
  
"options": [
  
],
  
"ipAddressRanges": [
  
  
{...}
  
],
  
"idpInstances": "[Circular Reference]",
  
"twoFactorInstances": "[Circular Reference]",
  
"clientApps": "[Circular Reference]"
}

Responses

Created

application/json
JSON
{
  
"id": "string",
  
"name": "string",
  
"accessGrantConsent": 0,
  
"logoutConsent": 0,
  
"tenantKey": "string",
  
"hasConfigurationError": true,
  
"subscriptionId": "string",
  
"options": [
  
],
  
"ipAddressRanges": [
  
  
{...}
  
],
  
"idpInstances": "[Circular Reference]",
  
"twoFactorInstances": "[Circular Reference]",
  
"clientApps": "[Circular Reference]"
}

GetTenant

GET
/api/management/v1/Tenant/{id}

Responses

OK

application/json
JSON
{
  
"id": "string",
  
"name": "string",
  
"accessGrantConsent": 0,
  
"logoutConsent": 0,
  
"tenantKey": "string",
  
"hasConfigurationError": true,
  
"subscriptionId": "string",
  
"options": [
  
],
  
"ipAddressRanges": [
  
  
{...}
  
],
  
"idpInstances": "[Circular Reference]",
  
"twoFactorInstances": "[Circular Reference]",
  
"clientApps": "[Circular Reference]"
}

UpdateTenant

PUT
/api/management/v1/Tenant/{id}

Request Body

JSON
{
  
"id": "string",
  
"name": "string",
  
"accessGrantConsent": 0,
  
"logoutConsent": 0,
  
"tenantKey": "string",
  
"hasConfigurationError": true,
  
"subscriptionId": "string",
  
"options": [
  
],
  
"ipAddressRanges": [
  
  
{...}
  
],
  
"idpInstances": "[Circular Reference]",
  
"twoFactorInstances": "[Circular Reference]",
  
"clientApps": "[Circular Reference]"
}

Responses

Accepted

application/json
JSON
{
  
"id": "string",
  
"name": "string",
  
"accessGrantConsent": 0,
  
"logoutConsent": 0,
  
"tenantKey": "string",
  
"hasConfigurationError": true,
  
"subscriptionId": "string",
  
"options": [
  
],
  
"ipAddressRanges": [
  
  
{...}
  
],
  
"idpInstances": "[Circular Reference]",
  
"twoFactorInstances": "[Circular Reference]",
  
"clientApps": "[Circular Reference]"
}

DeleteTenant

DELETE
/api/management/v1/Tenant/{id}

Responses

No Content


PatchTenant

PATCH
/api/management/v1/Tenant/{id}

Request Body

JSON
[
  
{
  
  
"op": "string",
  
  
"path": "string",
  
  
"from": "string",
  
  
"value": null
  
}
]

Responses

Accepted

application/json
JSON
{
  
"id": "string",
  
"name": "string",
  
"accessGrantConsent": 0,
  
"logoutConsent": 0,
  
"tenantKey": "string",
  
"hasConfigurationError": true,
  
"subscriptionId": "string",
  
"options": [
  
],
  
"ipAddressRanges": [
  
  
{...}
  
],
  
"idpInstances": "[Circular Reference]",
  
"twoFactorInstances": "[Circular Reference]",
  
"clientApps": "[Circular Reference]"
}

UpdateTenants

PUT
/api/management/v1/Tenant/batch

Request Body

JSON
[
]

Responses

OK

application/json
JSON
[
]

CreateTenants

POST
/api/management/v1/Tenant/batch

Request Body

JSON
[
]

Responses

OK

application/json
JSON
[
]

DeleteTenants

DELETE
/api/management/v1/Tenant/batch

Request Body

JSON
[
]

Responses

No Content


PatchTenants

PATCH
/api/management/v1/Tenant/batch

Request Body

JSON
[
]

Responses

Accepted

application/json
JSON
[
  
{
  
  
"id": "string",
  
  
"name": "string",
  
  
"accessGrantConsent": 0,
  
  
"logoutConsent": 0,
  
  
"tenantKey": "string",
  
  
"hasConfigurationError": true,
  
  
"subscriptionId": "string",
  
  
"options": [...],
  
  
"ipAddressRanges": [...],
  
  
"idpInstances": "[Circular Reference]",
  
  
"twoFactorInstances": "[Circular Reference]",
  
  
"clientApps": "[Circular Reference]"
  
}
]

CreateOrUpdateTenants

POST
/api/management/v1/Tenant/createorupdate/batch

Request Body

JSON
[
]

Responses

OK

application/json
JSON
[
]

RevokeToken

POST
/api/management/v1/Token/revoke/{tokenId}

Responses

OK


RevokeAllTokensForProAuthUser

POST
/api/management/v1/Token/revoke/user/{id}

Responses

OK


RevokeAllTokensForProAuthUserAndClientApp

POST
/api/management/v1/Token/revoke/user/{id}/clientapp/{clientid}

Responses

OK


DeleteToken

DELETE
/api/management/v1/Token/{tokenId}

Responses

OK


PruneTokens

POST
/api/management/v1/Token/prune

Responses

OK


GetTwoFactorInstances

GET
/api/management/v1/TwoFactorInstance

Responses

OK

application/json
JSON
[
  
{
  
  
"id": "string",
  
  
"name": "string",
  
  
"executionOrder": 0,
  
  
"isActive": true,
  
  
"hasConfigurationError": true,
  
  
"twoFactorTypeId": "string",
  
  
"subscriptionId": "string",
  
  
"clientApps": [...],
  
  
"tenants": [...],
  
  
"idpInstances": "[Circular Reference]",
  
  
"idpTypes": [...],
  
  
"proAuthUsers": [...],
  
  
"options": [...],
  
  
"metadata": [...]
  
}
]

CreateTwoFactorInstance

POST
/api/management/v1/TwoFactorInstance

Request Body

JSON
{
  
"id": "string",
  
"name": "string",
  
"executionOrder": 0,
  
"isActive": true,
  
"hasConfigurationError": true,
  
"twoFactorTypeId": "string",
  
"subscriptionId": "string",
  
"clientApps": [
  
  
{...}
  
],
  
"tenants": [
  
],
  
"idpInstances": "[Circular Reference]",
  
"idpTypes": [
  
  
{...}
  
],
  
"proAuthUsers": [
  
],
  
"options": [
  
],
  
"metadata": [
  
  
{...}
  
]
}

Responses

Created

application/json
JSON
{
  
"id": "string",
  
"name": "string",
  
"executionOrder": 0,
  
"isActive": true,
  
"hasConfigurationError": true,
  
"twoFactorTypeId": "string",
  
"subscriptionId": "string",
  
"clientApps": [
  
  
{...}
  
],
  
"tenants": [
  
],
  
"idpInstances": "[Circular Reference]",
  
"idpTypes": [
  
  
{...}
  
],
  
"proAuthUsers": [
  
],
  
"options": [
  
],
  
"metadata": [
  
  
{...}
  
]
}

CreateOrUpdateTwoFactorInstance

POST
/api/management/v1/TwoFactorInstance/createorupdate

Request Body

JSON
{
  
"id": "string",
  
"name": "string",
  
"executionOrder": 0,
  
"isActive": true,
  
"hasConfigurationError": true,
  
"twoFactorTypeId": "string",
  
"subscriptionId": "string",
  
"clientApps": [
  
  
{...}
  
],
  
"tenants": [
  
],
  
"idpInstances": "[Circular Reference]",
  
"idpTypes": [
  
  
{...}
  
],
  
"proAuthUsers": [
  
],
  
"options": [
  
],
  
"metadata": [
  
  
{...}
  
]
}

Responses

Created

application/json
JSON
{
  
"id": "string",
  
"name": "string",
  
"executionOrder": 0,
  
"isActive": true,
  
"hasConfigurationError": true,
  
"twoFactorTypeId": "string",
  
"subscriptionId": "string",
  
"clientApps": [
  
  
{...}
  
],
  
"tenants": [
  
],
  
"idpInstances": "[Circular Reference]",
  
"idpTypes": [
  
  
{...}
  
],
  
"proAuthUsers": [
  
],
  
"options": [
  
],
  
"metadata": [
  
  
{...}
  
]
}

GetTwoFactorInstance

GET
/api/management/v1/TwoFactorInstance/{id}

Responses

OK

application/json
JSON
{
  
"id": "string",
  
"name": "string",
  
"executionOrder": 0,
  
"isActive": true,
  
"hasConfigurationError": true,
  
"twoFactorTypeId": "string",
  
"subscriptionId": "string",
  
"clientApps": [
  
  
{...}
  
],
  
"tenants": [
  
],
  
"idpInstances": "[Circular Reference]",
  
"idpTypes": [
  
  
{...}
  
],
  
"proAuthUsers": [
  
],
  
"options": [
  
],
  
"metadata": [
  
  
{...}
  
]
}

UpdateTwoFactorInstance

PUT
/api/management/v1/TwoFactorInstance/{id}

Request Body

JSON
{
  
"id": "string",
  
"name": "string",
  
"executionOrder": 0,
  
"isActive": true,
  
"hasConfigurationError": true,
  
"twoFactorTypeId": "string",
  
"subscriptionId": "string",
  
"clientApps": [
  
  
{...}
  
],
  
"tenants": [
  
],
  
"idpInstances": "[Circular Reference]",
  
"idpTypes": [
  
  
{...}
  
],
  
"proAuthUsers": [
  
],
  
"options": [
  
],
  
"metadata": [
  
  
{...}
  
]
}

Responses

Accepted

application/json
JSON
{
  
"id": "string",
  
"name": "string",
  
"executionOrder": 0,
  
"isActive": true,
  
"hasConfigurationError": true,
  
"twoFactorTypeId": "string",
  
"subscriptionId": "string",
  
"clientApps": [
  
  
{...}
  
],
  
"tenants": [
  
],
  
"idpInstances": "[Circular Reference]",
  
"idpTypes": [
  
  
{...}
  
],
  
"proAuthUsers": [
  
],
  
"options": [
  
],
  
"metadata": [
  
  
{...}
  
]
}

DeleteTwoFactorInstance

DELETE
/api/management/v1/TwoFactorInstance/{id}

Responses

No Content


PatchTwoFactorInstance

PATCH
/api/management/v1/TwoFactorInstance/{id}

Request Body

JSON
[
  
{
  
  
"op": "string",
  
  
"path": "string",
  
  
"from": "string",
  
  
"value": null
  
}
]

Responses

Accepted

application/json
JSON
{
  
"id": "string",
  
"name": "string",
  
"executionOrder": 0,
  
"isActive": true,
  
"hasConfigurationError": true,
  
"twoFactorTypeId": "string",
  
"subscriptionId": "string",
  
"clientApps": [
  
  
{...}
  
],
  
"tenants": [
  
],
  
"idpInstances": "[Circular Reference]",
  
"idpTypes": [
  
  
{...}
  
],
  
"proAuthUsers": [
  
],
  
"options": [
  
],
  
"metadata": [
  
  
{...}
  
]
}

UpdateTwoFactorInstances

PUT
/api/management/v1/TwoFactorInstance/batch

Request Body

JSON
[
]

Responses

OK

application/json
JSON
[
]

CreateTwoFactorInstances

POST
/api/management/v1/TwoFactorInstance/batch

Request Body

JSON
[
]

Responses

OK

application/json
JSON
[
]

DeleteTwoFactorInstances

DELETE
/api/management/v1/TwoFactorInstance/batch

Request Body

JSON
[
]

Responses

No Content


PatchTwoFactorInstances

PATCH
/api/management/v1/TwoFactorInstance/batch

Request Body

JSON
[
]

Responses

Accepted

application/json
JSON
[
  
{
  
  
"id": "string",
  
  
"name": "string",
  
  
"executionOrder": 0,
  
  
"isActive": true,
  
  
"hasConfigurationError": true,
  
  
"twoFactorTypeId": "string",
  
  
"subscriptionId": "string",
  
  
"clientApps": [...],
  
  
"tenants": [...],
  
  
"idpInstances": "[Circular Reference]",
  
  
"idpTypes": [...],
  
  
"proAuthUsers": [...],
  
  
"options": [...],
  
  
"metadata": [...]
  
}
]

CreateOrUpdateTwoFactorInstances

POST
/api/management/v1/TwoFactorInstance/createorupdate/batch

Request Body

JSON
[
]

Responses

OK

application/json
JSON
[
]

TwoFactorInstanceMetadata


GetTwoFactorInstanceMetadataByTwoFactorInstanceId

GET
/api/management/v1/TwoFactorInstance/{twoFactorInstanceId}/TwoFactorInstanceMetadata/twoFactorInstanceId

Responses

OK

application/json
JSON
[
  
{
  
  
"twoFactorInstanceId": "string",
  
  
"key": "string",
  
  
"value": "string"
  
}
]

GetTwoFactorInstanceMetadata

GET
/api/management/v1/TwoFactorInstance/{twoFactorInstanceId}/TwoFactorInstanceMetadata/{key}

Responses

OK

application/json
JSON
{
  
"twoFactorInstanceId": "string",
  
"key": "string",
  
"value": "string"
}

UpdateTwoFactorInstanceMetadata

PUT
/api/management/v1/TwoFactorInstance/{twoFactorInstanceId}/TwoFactorInstanceMetadata/{key}

Request Body

JSON
{
  
"twoFactorInstanceId": "string",
  
"key": "string",
  
"value": "string"
}

Responses

Accepted

application/json
JSON
{
  
"twoFactorInstanceId": "string",
  
"key": "string",
  
"value": "string"
}

DeleteTwoFactorInstanceMetadata

DELETE
/api/management/v1/TwoFactorInstance/{twoFactorInstanceId}/TwoFactorInstanceMetadata/{key}

Responses

No Content


PatchTwoFactorInstanceMetadata

PATCH
/api/management/v1/TwoFactorInstance/{twoFactorInstanceId}/TwoFactorInstanceMetadata/{key}

Request Body

JSON
[
  
{
  
  
"op": "string",
  
  
"path": "string",
  
  
"from": "string",
  
  
"value": null
  
}
]

Responses

Accepted

application/json
JSON
{
  
"twoFactorInstanceId": "string",
  
"key": "string",
  
"value": "string"
}

UpdateTwoFactorInstanceMetadatas

PUT
/api/management/v1/TwoFactorInstance/{twoFactorInstanceId}/TwoFactorInstanceMetadata/batch

Request Body

JSON
[
]

Responses

OK

application/json
JSON
[
]

CreateTwoFactorInstanceMetadatas

POST
/api/management/v1/TwoFactorInstance/{twoFactorInstanceId}/TwoFactorInstanceMetadata/batch

Request Body

JSON
[
  
{
  
  
"twoFactorInstanceId": "string",
  
  
"key": "string",
  
  
"value": "string"
  
}
]

Responses

OK

application/json
JSON
[
]

DeleteTwoFactorInstanceMetadatas

DELETE
/api/management/v1/TwoFactorInstance/{twoFactorInstanceId}/TwoFactorInstanceMetadata/batch

Request Body

JSON
[
]

Responses

No Content


PatchTwoFactorInstanceMetadatas

PATCH
/api/management/v1/TwoFactorInstance/{twoFactorInstanceId}/TwoFactorInstanceMetadata/batch

Request Body

JSON
[
]

Responses

Accepted

application/json
JSON
[
  
{
  
  
"twoFactorInstanceId": "string",
  
  
"key": "string",
  
  
"value": "string"
  
}
]

GetTwoFactorInstanceMetadatas

GET
/api/management/v1/TwoFactorInstance/{twoFactorInstanceId}/TwoFactorInstanceMetadata

Responses

OK

application/json
JSON
[
]

CreateTwoFactorInstanceMetadata

POST
/api/management/v1/TwoFactorInstance/{twoFactorInstanceId}/TwoFactorInstanceMetadata

Request Body

JSON
{
  
"twoFactorInstanceId": "string",
  
"key": "string",
  
"value": "string"
}

Responses

Created

application/json
JSON
{
  
"twoFactorInstanceId": "string",
  
"key": "string",
  
"value": "string"
}

CreateOrUpdateTwoFactorInstanceMetadata

POST
/api/management/v1/TwoFactorInstance/{twoFactorInstanceId}/TwoFactorInstanceMetadata/createorupdate

Request Body

JSON
{
  
"twoFactorInstanceId": "string",
  
"key": "string",
  
"value": "string"
}

Responses

Created

application/json
JSON
{
  
"twoFactorInstanceId": "string",
  
"key": "string",
  
"value": "string"
}

CreateOrUpdateTwoFactorInstanceMetadatas

POST
/api/management/v1/TwoFactorInstance/{twoFactorInstanceId}/TwoFactorInstanceMetadata/createorupdate/batch

Request Body

JSON
[
]

Responses

OK

application/json
JSON
[
]

GetTwoFactorTypeByName

GET
/api/management/v1/TwoFactorType/name/{name}

Responses

OK

application/json
JSON
{
  
"id": "string",
  
"name": "string",
  
"factoryType": "string",
  
"isEnabled": true
}

GetTwoFactorTypes

GET
/api/management/v1/TwoFactorType

Responses

OK

application/json
JSON
[
  
{
  
  
"id": "string",
  
  
"name": "string",
  
  
"factoryType": "string",
  
  
"isEnabled": true
  
}
]

CreateTwoFactorType

POST
/api/management/v1/TwoFactorType

Request Body

JSON
{
  
"id": "string",
  
"name": "string",
  
"factoryType": "string",
  
"isEnabled": true
}

Responses

Created

application/json
JSON
{
  
"id": "string",
  
"name": "string",
  
"factoryType": "string",
  
"isEnabled": true
}

UpdateTwoFactorTypes

PUT
/api/management/v1/TwoFactorType/batch

Request Body

JSON
[
]

Responses

OK

application/json
JSON
[
]

CreateTwoFactorTypes

POST
/api/management/v1/TwoFactorType/batch

Request Body

JSON
[
]

Responses

OK

application/json
JSON
[
]

DeleteTwoFactorTypes

DELETE
/api/management/v1/TwoFactorType/batch

Request Body

JSON
[
]

Responses

No Content


PatchTwoFactorTypes

PATCH
/api/management/v1/TwoFactorType/batch

Request Body

JSON
[
]

Responses

Accepted

application/json
JSON
[
  
{
  
  
"id": "string",
  
  
"name": "string",
  
  
"factoryType": "string",
  
  
"isEnabled": true
  
}
]

GetTwoFactorType

GET
/api/management/v1/TwoFactorType/{id}

Responses

OK

application/json
JSON
{
  
"id": "string",
  
"name": "string",
  
"factoryType": "string",
  
"isEnabled": true
}

UpdateTwoFactorType

PUT
/api/management/v1/TwoFactorType/{id}

Request Body

JSON
{
  
"id": "string",
  
"name": "string",
  
"factoryType": "string",
  
"isEnabled": true
}

Responses

Accepted

application/json
JSON
{
  
"id": "string",
  
"name": "string",
  
"factoryType": "string",
  
"isEnabled": true
}

DeleteTwoFactorType

DELETE
/api/management/v1/TwoFactorType/{id}

Responses

No Content


PatchTwoFactorType

PATCH
/api/management/v1/TwoFactorType/{id}

Request Body

JSON
[
  
{
  
  
"op": "string",
  
  
"path": "string",
  
  
"from": "string",
  
  
"value": null
  
}
]

Responses

Accepted

application/json
JSON
{
  
"id": "string",
  
"name": "string",
  
"factoryType": "string",
  
"isEnabled": true
}

CreateOrUpdateTwoFactorType

POST
/api/management/v1/TwoFactorType/createorupdate

Request Body

JSON
{
  
"id": "string",
  
"name": "string",
  
"factoryType": "string",
  
"isEnabled": true
}

Responses

Created

application/json
JSON
{
  
"id": "string",
  
"name": "string",
  
"factoryType": "string",
  
"isEnabled": true
}

CreateOrUpdateTwoFactorTypes

POST
/api/management/v1/TwoFactorType/createorupdate/batch

Request Body

JSON
[
]

Responses

OK

application/json
JSON
[
]

GetApplicationGroupsByTenant

GET
/api/management/v1/ApplicationGroup/tenant/{tenantId}

Responses

OK

application/json
JSON
[
  
{
  
  
"id": "string",
  
  
"name": "string"
  
}
]

GetApplicationGroupsByIdpInstance

GET
/api/management/v1/ApplicationGroup/idpinstance/{idpInstanceId}

Responses

OK

application/json
JSON
[
]

GetApplicationGroup

GET
/api/management/v1/ApplicationGroup/{id}

Responses

OK

application/json
JSON
{
  
"id": "string",
  
"name": "string"
}

GetApplicationGroups

GET
/api/management/v1/ApplicationGroup

Responses

OK

application/json
JSON
[
  
{
  
  
"id": "string",
  
  
"name": "string"
  
}
]

GetScimSynchronizedProAuthGroupByScimId

GET
/api/management/v1/ProAuthGroup/idp/{idpId}/scim/{id}

Responses

OK

application/json
JSON
{
  
"id": "string",
  
"name": "string",
  
"federatedExternalGroupId": "string",
  
"scimSynchronized": true,
  
"idpInstanceId": "string",
  
"subscriptionId": "string",
  
"applyToTenantId": "string",
  
"proAuthGroupRoles": [
  
  
{...}
  
],
  
"memberUsers": [
  
  
{...}
  
],
  
"parentGroups": "[Circular Reference]",
  
"memberGroups": "[Circular Reference]",
  
"authorizedClientApps": "[Circular Reference]",
  
"metadata": [
  
  
{...}
  
]
}

GetSynchronizedProAuthGroupByUserStoreId

GET
/api/management/v1/ProAuthGroup/idp/{idpId}/userstore/{id}

Responses

OK

application/json
JSON
{
  
"id": "string",
  
"name": "string",
  
"federatedExternalGroupId": "string",
  
"scimSynchronized": true,
  
"idpInstanceId": "string",
  
"subscriptionId": "string",
  
"applyToTenantId": "string",
  
"proAuthGroupRoles": [
  
  
{...}
  
],
  
"memberUsers": [
  
  
{...}
  
],
  
"parentGroups": "[Circular Reference]",
  
"memberGroups": "[Circular Reference]",
  
"authorizedClientApps": "[Circular Reference]",
  
"metadata": [
  
  
{...}
  
]
}

GetProAuthGroups

GET
/api/management/v1/ProAuthGroup

Responses

OK

application/json
JSON
[
  
{
  
  
"id": "string",
  
  
"name": "string",
  
  
"federatedExternalGroupId": "string",
  
  
"scimSynchronized": true,
  
  
"idpInstanceId": "string",
  
  
"subscriptionId": "string",
  
  
"applyToTenantId": "string",
  
  
"proAuthGroupRoles": [...],
  
  
"memberUsers": [...],
  
  
"parentGroups": "[Circular Reference]",
  
  
"memberGroups": "[Circular Reference]",
  
  
"authorizedClientApps": "[Circular Reference]",
  
  
"metadata": [...]
  
}
]

CreateProAuthGroup

POST
/api/management/v1/ProAuthGroup

Request Body

JSON
{
  
"id": "string",
  
"name": "string",
  
"federatedExternalGroupId": "string",
  
"scimSynchronized": true,
  
"idpInstanceId": "string",
  
"subscriptionId": "string",
  
"applyToTenantId": "string",
  
"proAuthGroupRoles": [
  
  
{...}
  
],
  
"memberUsers": [
  
  
{...}
  
],
  
"parentGroups": "[Circular Reference]",
  
"memberGroups": "[Circular Reference]",
  
"authorizedClientApps": "[Circular Reference]",
  
"metadata": [
  
  
{...}
  
]
}

Responses

Created

application/json
JSON
{
  
"id": "string",
  
"name": "string",
  
"federatedExternalGroupId": "string",
  
"scimSynchronized": true,
  
"idpInstanceId": "string",
  
"subscriptionId": "string",
  
"applyToTenantId": "string",
  
"proAuthGroupRoles": [
  
  
{...}
  
],
  
"memberUsers": [
  
  
{...}
  
],
  
"parentGroups": "[Circular Reference]",
  
"memberGroups": "[Circular Reference]",
  
"authorizedClientApps": "[Circular Reference]",
  
"metadata": [
  
  
{...}
  
]
}

CreateOrUpdateProAuthGroup

POST
/api/management/v1/ProAuthGroup/createorupdate

Request Body

JSON
{
  
"id": "string",
  
"name": "string",
  
"federatedExternalGroupId": "string",
  
"scimSynchronized": true,
  
"idpInstanceId": "string",
  
"subscriptionId": "string",
  
"applyToTenantId": "string",
  
"proAuthGroupRoles": [
  
  
{...}
  
],
  
"memberUsers": [
  
  
{...}
  
],
  
"parentGroups": "[Circular Reference]",
  
"memberGroups": "[Circular Reference]",
  
"authorizedClientApps": "[Circular Reference]",
  
"metadata": [
  
  
{...}
  
]
}

Responses

Created

application/json
JSON
{
  
"id": "string",
  
"name": "string",
  
"federatedExternalGroupId": "string",
  
"scimSynchronized": true,
  
"idpInstanceId": "string",
  
"subscriptionId": "string",
  
"applyToTenantId": "string",
  
"proAuthGroupRoles": [
  
  
{...}
  
],
  
"memberUsers": [
  
  
{...}
  
],
  
"parentGroups": "[Circular Reference]",
  
"memberGroups": "[Circular Reference]",
  
"authorizedClientApps": "[Circular Reference]",
  
"metadata": [
  
  
{...}
  
]
}

GetProAuthGroup

GET
/api/management/v1/ProAuthGroup/{id}

Responses

OK

application/json
JSON
{
  
"id": "string",
  
"name": "string",
  
"federatedExternalGroupId": "string",
  
"scimSynchronized": true,
  
"idpInstanceId": "string",
  
"subscriptionId": "string",
  
"applyToTenantId": "string",
  
"proAuthGroupRoles": [
  
  
{...}
  
],
  
"memberUsers": [
  
  
{...}
  
],
  
"parentGroups": "[Circular Reference]",
  
"memberGroups": "[Circular Reference]",
  
"authorizedClientApps": "[Circular Reference]",
  
"metadata": [
  
  
{...}
  
]
}

UpdateProAuthGroup

PUT
/api/management/v1/ProAuthGroup/{id}

Request Body

JSON
{
  
"id": "string",
  
"name": "string",
  
"federatedExternalGroupId": "string",
  
"scimSynchronized": true,
  
"idpInstanceId": "string",
  
"subscriptionId": "string",
  
"applyToTenantId": "string",
  
"proAuthGroupRoles": [
  
  
{...}
  
],
  
"memberUsers": [
  
  
{...}
  
],
  
"parentGroups": "[Circular Reference]",
  
"memberGroups": "[Circular Reference]",
  
"authorizedClientApps": "[Circular Reference]",
  
"metadata": [
  
  
{...}
  
]
}

Responses

Accepted

application/json
JSON
{
  
"id": "string",
  
"name": "string",
  
"federatedExternalGroupId": "string",
  
"scimSynchronized": true,
  
"idpInstanceId": "string",
  
"subscriptionId": "string",
  
"applyToTenantId": "string",
  
"proAuthGroupRoles": [
  
  
{...}
  
],
  
"memberUsers": [
  
  
{...}
  
],
  
"parentGroups": "[Circular Reference]",
  
"memberGroups": "[Circular Reference]",
  
"authorizedClientApps": "[Circular Reference]",
  
"metadata": [
  
  
{...}
  
]
}

DeleteProAuthGroup

DELETE
/api/management/v1/ProAuthGroup/{id}

Responses

No Content


PatchProAuthGroup

PATCH
/api/management/v1/ProAuthGroup/{id}

Request Body

JSON
[
  
{
  
  
"op": "string",
  
  
"path": "string",
  
  
"from": "string",
  
  
"value": null
  
}
]

Responses

Accepted

application/json
JSON
{
  
"id": "string",
  
"name": "string",
  
"federatedExternalGroupId": "string",
  
"scimSynchronized": true,
  
"idpInstanceId": "string",
  
"subscriptionId": "string",
  
"applyToTenantId": "string",
  
"proAuthGroupRoles": [
  
  
{...}
  
],
  
"memberUsers": [
  
  
{...}
  
],
  
"parentGroups": "[Circular Reference]",
  
"memberGroups": "[Circular Reference]",
  
"authorizedClientApps": "[Circular Reference]",
  
"metadata": [
  
  
{...}
  
]
}

UpdateProAuthGroups

PUT
/api/management/v1/ProAuthGroup/batch

Request Body

JSON
[
]

Responses

OK

application/json
JSON
[
]

CreateProAuthGroups

POST
/api/management/v1/ProAuthGroup/batch

Request Body

JSON
[
]

Responses

OK

application/json
JSON
[
]

DeleteProAuthGroups

DELETE
/api/management/v1/ProAuthGroup/batch

Request Body

JSON
[
]

Responses

No Content


PatchProAuthGroups

PATCH
/api/management/v1/ProAuthGroup/batch

Request Body

JSON
[
]

Responses

Accepted

application/json
JSON
[
  
{
  
  
"id": "string",
  
  
"name": "string",
  
  
"federatedExternalGroupId": "string",
  
  
"scimSynchronized": true,
  
  
"idpInstanceId": "string",
  
  
"subscriptionId": "string",
  
  
"applyToTenantId": "string",
  
  
"proAuthGroupRoles": [...],
  
  
"memberUsers": [...],
  
  
"parentGroups": "[Circular Reference]",
  
  
"memberGroups": "[Circular Reference]",
  
  
"authorizedClientApps": "[Circular Reference]",
  
  
"metadata": [...]
  
}
]

CreateOrUpdateProAuthGroups

POST
/api/management/v1/ProAuthGroup/createorupdate/batch

Request Body

JSON
[
]

Responses

OK

application/json
JSON
[
]

ProAuthGroupMetadata


GetProAuthGroupMetadataByProAuthGroupId

GET
/api/management/v1/ProAuthGroup/{proAuthGroupId}/ProAuthGroupMetadata/proAuthGroupId

Responses

OK

application/json
JSON
[
  
{
  
  
"proAuthGroupId": "string",
  
  
"key": "string",
  
  
"value": "string"
  
}
]

GetProAuthGroupMetadata

GET
/api/management/v1/ProAuthGroup/{proAuthGroupId}/ProAuthGroupMetadata/{key}

Responses

OK

application/json
JSON
{
  
"proAuthGroupId": "string",
  
"key": "string",
  
"value": "string"
}

UpdateProAuthGroupMetadata

PUT
/api/management/v1/ProAuthGroup/{proAuthGroupId}/ProAuthGroupMetadata/{key}

Request Body

JSON
{
  
"proAuthGroupId": "string",
  
"key": "string",
  
"value": "string"
}

Responses

Accepted

application/json
JSON
{
  
"proAuthGroupId": "string",
  
"key": "string",
  
"value": "string"
}

DeleteProAuthGroupMetadata

DELETE
/api/management/v1/ProAuthGroup/{proAuthGroupId}/ProAuthGroupMetadata/{key}

Responses

No Content


PatchProAuthGroupMetadata

PATCH
/api/management/v1/ProAuthGroup/{proAuthGroupId}/ProAuthGroupMetadata/{key}

Request Body

JSON
[
  
{
  
  
"op": "string",
  
  
"path": "string",
  
  
"from": "string",
  
  
"value": null
  
}
]

Responses

Accepted

application/json
JSON
{
  
"proAuthGroupId": "string",
  
"key": "string",
  
"value": "string"
}

UpdateProAuthGroupMetadatas

PUT
/api/management/v1/ProAuthGroup/{proAuthGroupId}/ProAuthGroupMetadata/batch

Request Body

JSON
[
]

Responses

OK

application/json
JSON
[
]

CreateProAuthGroupMetadatas

POST
/api/management/v1/ProAuthGroup/{proAuthGroupId}/ProAuthGroupMetadata/batch

Request Body

JSON
[
  
{
  
  
"proAuthGroupId": "string",
  
  
"key": "string",
  
  
"value": "string"
  
}
]

Responses

OK

application/json
JSON
[
]

DeleteProAuthGroupMetadatas

DELETE
/api/management/v1/ProAuthGroup/{proAuthGroupId}/ProAuthGroupMetadata/batch

Request Body

JSON
[
]

Responses

No Content


PatchProAuthGroupMetadatas

PATCH
/api/management/v1/ProAuthGroup/{proAuthGroupId}/ProAuthGroupMetadata/batch

Request Body

JSON
[
]

Responses

Accepted

application/json
JSON
[
  
{
  
  
"proAuthGroupId": "string",
  
  
"key": "string",
  
  
"value": "string"
  
}
]

GetProAuthGroupMetadatas

GET
/api/management/v1/ProAuthGroup/{proAuthGroupId}/ProAuthGroupMetadata

Responses

OK

application/json
JSON
[
]

CreateProAuthGroupMetadata

POST
/api/management/v1/ProAuthGroup/{proAuthGroupId}/ProAuthGroupMetadata

Request Body

JSON
{
  
"proAuthGroupId": "string",
  
"key": "string",
  
"value": "string"
}

Responses

Created

application/json
JSON
{
  
"proAuthGroupId": "string",
  
"key": "string",
  
"value": "string"
}

CreateOrUpdateProAuthGroupMetadata

POST
/api/management/v1/ProAuthGroup/{proAuthGroupId}/ProAuthGroupMetadata/createorupdate

Request Body

JSON
{
  
"proAuthGroupId": "string",
  
"key": "string",
  
"value": "string"
}

Responses

Created

application/json
JSON
{
  
"proAuthGroupId": "string",
  
"key": "string",
  
"value": "string"
}

CreateOrUpdateProAuthGroupMetadatas

POST
/api/management/v1/ProAuthGroup/{proAuthGroupId}/ProAuthGroupMetadata/createorupdate/batch

Request Body

JSON
[
]

Responses

OK

application/json
JSON
[
]

ProAuthGroupRole


GetProAuthGroupRolesByGroup

GET
/api/management/v1/ProAuthGroup/ProAuthGroupRole/proauthgroup/{proAuthGroupId}

Responses

OK

application/json
JSON
[
  
{
  
  
"id": "string",
  
  
"roleType": 0,
  
  
"applyToTenantId": "string",
  
  
"applyToIdpInstanceId": "string",
  
  
"proAuthGroupId": "string"
  
}
]

GetProAuthGroupRoles

GET
/api/management/v1/ProAuthGroup/ProAuthGroupRole

Responses

OK

application/json
JSON
[
  
{
  
  
"id": "string",
  
  
"roleType": 0,
  
  
"applyToTenantId": "string",
  
  
"applyToIdpInstanceId": "string",
  
  
"proAuthGroupId": "string"
  
}
]

CreateProAuthGroupRole

POST
/api/management/v1/ProAuthGroup/ProAuthGroupRole

Request Body

JSON
{
  
"id": "string",
  
"roleType": 0,
  
"applyToTenantId": "string",
  
"applyToIdpInstanceId": "string",
  
"proAuthGroupId": "string"
}

Responses

Created

application/json
JSON
{
  
"id": "string",
  
"roleType": 0,
  
"applyToTenantId": "string",
  
"applyToIdpInstanceId": "string",
  
"proAuthGroupId": "string"
}

CreateOrUpdateProAuthGroupRole

POST
/api/management/v1/ProAuthGroup/ProAuthGroupRole/createorupdate

Request Body

JSON
{
  
"id": "string",
  
"roleType": 0,
  
"applyToTenantId": "string",
  
"applyToIdpInstanceId": "string",
  
"proAuthGroupId": "string"
}

Responses

Created

application/json
JSON
{
  
"id": "string",
  
"roleType": 0,
  
"applyToTenantId": "string",
  
"applyToIdpInstanceId": "string",
  
"proAuthGroupId": "string"
}

GetProAuthGroupRole

GET
/api/management/v1/ProAuthGroup/ProAuthGroupRole/{id}

Responses

OK

application/json
JSON
{
  
"id": "string",
  
"roleType": 0,
  
"applyToTenantId": "string",
  
"applyToIdpInstanceId": "string",
  
"proAuthGroupId": "string"
}

UpdateProAuthGroupRole

PUT
/api/management/v1/ProAuthGroup/ProAuthGroupRole/{id}

Request Body

JSON
{
  
"id": "string",
  
"roleType": 0,
  
"applyToTenantId": "string",
  
"applyToIdpInstanceId": "string",
  
"proAuthGroupId": "string"
}

Responses

Accepted

application/json
JSON
{
  
"id": "string",
  
"roleType": 0,
  
"applyToTenantId": "string",
  
"applyToIdpInstanceId": "string",
  
"proAuthGroupId": "string"
}

DeleteProAuthGroupRole

DELETE
/api/management/v1/ProAuthGroup/ProAuthGroupRole/{id}

Responses

No Content


PatchProAuthGroupRole

PATCH
/api/management/v1/ProAuthGroup/ProAuthGroupRole/{id}

Request Body

JSON
[
  
{
  
  
"op": "string",
  
  
"path": "string",
  
  
"from": "string",
  
  
"value": null
  
}
]

Responses

Accepted

application/json
JSON
{
  
"id": "string",
  
"roleType": 0,
  
"applyToTenantId": "string",
  
"applyToIdpInstanceId": "string",
  
"proAuthGroupId": "string"
}

UpdateProAuthGroupRoles

PUT
/api/management/v1/ProAuthGroup/ProAuthGroupRole/batch

Request Body

JSON
[
]

Responses

OK

application/json
JSON
[
]

CreateProAuthGroupRoles

POST
/api/management/v1/ProAuthGroup/ProAuthGroupRole/batch

Request Body

JSON
[
]

Responses

OK

application/json
JSON
[
]

DeleteProAuthGroupRoles

DELETE
/api/management/v1/ProAuthGroup/ProAuthGroupRole/batch

Request Body

JSON
[
]

Responses

No Content


PatchProAuthGroupRoles

PATCH
/api/management/v1/ProAuthGroup/ProAuthGroupRole/batch

Request Body

JSON
[
]

Responses

Accepted

application/json
JSON
[
  
{
  
  
"id": "string",
  
  
"roleType": 0,
  
  
"applyToTenantId": "string",
  
  
"applyToIdpInstanceId": "string",
  
  
"proAuthGroupId": "string"
  
}
]

CreateOrUpdateProAuthGroupRoles

POST
/api/management/v1/ProAuthGroup/ProAuthGroupRole/createorupdate/batch

Request Body

JSON
[
]

Responses

OK

application/json
JSON
[
]

ClientAppFederatedConfiguration


GetClientAppFederatedConfigurationsByClientAppId

GET
/api/management/v1/ClientApp/ClientAppFederatedConfiguration/clientapp/{clientAppId}

Responses

OK

application/json
JSON
[
  
{
  
  
"id": "string",
  
  
"issuer": "string",
  
  
"subject": "string",
  
  
"clientAppId": "string"
  
}
]

GetClientAppFederatedConfigurations

GET
/api/management/v1/ClientApp/ClientAppFederatedConfiguration

Responses

OK

application/json
JSON
[
]

CreateClientAppFederatedConfiguration

POST
/api/management/v1/ClientApp/ClientAppFederatedConfiguration

Request Body

JSON
{
  
"id": "string",
  
"issuer": "string",
  
"subject": "string",
  
"clientAppId": "string"
}

Responses

Created

application/json
JSON
{
  
"id": "string",
  
"issuer": "string",
  
"subject": "string",
  
"clientAppId": "string"
}

CreateOrUpdateClientAppFederatedConfiguration

POST
/api/management/v1/ClientApp/ClientAppFederatedConfiguration/createorupdate

Request Body

JSON
{
  
"id": "string",
  
"issuer": "string",
  
"subject": "string",
  
"clientAppId": "string"
}

Responses

Created

application/json
JSON
{
  
"id": "string",
  
"issuer": "string",
  
"subject": "string",
  
"clientAppId": "string"
}

GetClientAppFederatedConfiguration

GET
/api/management/v1/ClientApp/ClientAppFederatedConfiguration/{id}

Responses

OK

application/json
JSON
{
  
"id": "string",
  
"issuer": "string",
  
"subject": "string",
  
"clientAppId": "string"
}

UpdateClientAppFederatedConfiguration

PUT
/api/management/v1/ClientApp/ClientAppFederatedConfiguration/{id}

Request Body

JSON
{
  
"id": "string",
  
"issuer": "string",
  
"subject": "string",
  
"clientAppId": "string"
}

Responses

Accepted

application/json
JSON
{
  
"id": "string",
  
"issuer": "string",
  
"subject": "string",
  
"clientAppId": "string"
}

DeleteClientAppFederatedConfiguration

DELETE
/api/management/v1/ClientApp/ClientAppFederatedConfiguration/{id}

Responses

No Content


PatchClientAppFederatedConfiguration

PATCH
/api/management/v1/ClientApp/ClientAppFederatedConfiguration/{id}

Request Body

JSON
[
  
{
  
  
"op": "string",
  
  
"path": "string",
  
  
"from": "string",
  
  
"value": null
  
}
]

Responses

Accepted

application/json
JSON
{
  
"id": "string",
  
"issuer": "string",
  
"subject": "string",
  
"clientAppId": "string"
}

UpdateClientAppFederatedConfigurations

PUT
/api/management/v1/ClientApp/ClientAppFederatedConfiguration/batch

Request Body

JSON
[
]

Responses

OK

application/json
JSON
[
]

CreateClientAppFederatedConfigurations

POST
/api/management/v1/ClientApp/ClientAppFederatedConfiguration/batch

Request Body

JSON
[
]

Responses

OK

application/json
JSON
[
]

DeleteClientAppFederatedConfigurations

DELETE
/api/management/v1/ClientApp/ClientAppFederatedConfiguration/batch

Request Body

JSON
[
]

Responses

No Content


PatchClientAppFederatedConfigurations

PATCH
/api/management/v1/ClientApp/ClientAppFederatedConfiguration/batch

Request Body

JSON
[
]

Responses

Accepted

application/json
JSON
[
  
{
  
  
"id": "string",
  
  
"issuer": "string",
  
  
"subject": "string",
  
  
"clientAppId": "string"
  
}
]

CreateOrUpdateClientAppFederatedConfigurations

POST
/api/management/v1/ClientApp/ClientAppFederatedConfiguration/createorupdate/batch

Request Body

JSON
[
]

Responses

OK

application/json
JSON
[
]

GetClientAppSecretsByClientAppId

GET
/api/management/v1/ClientApp/ClientAppSecret/clientapp/{clientAppId}

Responses

OK

application/json
JSON
[
  
{
  
  
"id": "string",
  
  
"name": "string",
  
  
"secret": "string",
  
  
"expiry": "string",
  
  
"clientAppId": "string"
  
}
]

GetClientAppSecrets

GET
/api/management/v1/ClientApp/ClientAppSecret

Responses

OK

application/json
JSON
[
]

CreateClientAppSecret

POST
/api/management/v1/ClientApp/ClientAppSecret

Request Body

JSON
{
  
"id": "string",
  
"name": "string",
  
"secret": "string",
  
"expiry": "string",
  
"clientAppId": "string"
}

Responses

Created

application/json
JSON
{
  
"id": "string",
  
"name": "string",
  
"secret": "string",
  
"expiry": "string",
  
"clientAppId": "string"
}

CreateOrUpdateClientAppSecret

POST
/api/management/v1/ClientApp/ClientAppSecret/createorupdate

Request Body

JSON
{
  
"id": "string",
  
"name": "string",
  
"secret": "string",
  
"expiry": "string",
  
"clientAppId": "string"
}

Responses

Created

application/json
JSON
{
  
"id": "string",
  
"name": "string",
  
"secret": "string",
  
"expiry": "string",
  
"clientAppId": "string"
}

GetClientAppSecret

GET
/api/management/v1/ClientApp/ClientAppSecret/{id}

Responses

OK

application/json
JSON
{
  
"id": "string",
  
"name": "string",
  
"secret": "string",
  
"expiry": "string",
  
"clientAppId": "string"
}

UpdateClientAppSecret

PUT
/api/management/v1/ClientApp/ClientAppSecret/{id}

Request Body

JSON
{
  
"id": "string",
  
"name": "string",
  
"secret": "string",
  
"expiry": "string",
  
"clientAppId": "string"
}

Responses

Accepted

application/json
JSON
{
  
"id": "string",
  
"name": "string",
  
"secret": "string",
  
"expiry": "string",
  
"clientAppId": "string"
}

DeleteClientAppSecret

DELETE
/api/management/v1/ClientApp/ClientAppSecret/{id}

Responses

No Content


PatchClientAppSecret

PATCH
/api/management/v1/ClientApp/ClientAppSecret/{id}

Request Body

JSON
[
  
{
  
  
"op": "string",
  
  
"path": "string",
  
  
"from": "string",
  
  
"value": null
  
}
]

Responses

Accepted

application/json
JSON
{
  
"id": "string",
  
"name": "string",
  
"secret": "string",
  
"expiry": "string",
  
"clientAppId": "string"
}

UpdateClientAppSecrets

PUT
/api/management/v1/ClientApp/ClientAppSecret/batch

Request Body

JSON
[
]

Responses

OK

application/json
JSON
[
]

CreateClientAppSecrets

POST
/api/management/v1/ClientApp/ClientAppSecret/batch

Request Body

JSON
[
]

Responses

OK

application/json
JSON
[
]

DeleteClientAppSecrets

DELETE
/api/management/v1/ClientApp/ClientAppSecret/batch

Request Body

JSON
[
]

Responses

No Content


PatchClientAppSecrets

PATCH
/api/management/v1/ClientApp/ClientAppSecret/batch

Request Body

JSON
[
]

Responses

Accepted

application/json
JSON
[
  
{
  
  
"id": "string",
  
  
"name": "string",
  
  
"secret": "string",
  
  
"expiry": "string",
  
  
"clientAppId": "string"
  
}
]

CreateOrUpdateClientAppSecrets

POST
/api/management/v1/ClientApp/ClientAppSecret/createorupdate/batch

Request Body

JSON
[
]

Responses

OK

application/json
JSON
[
]

GetApplicationUsersByTenant

GET
/api/management/v1/ApplicationUser/tenant/{tenantId}

Responses

OK

application/json
JSON
[
  
{
  
  
"id": "string",
  
  
"firstName": "string",
  
  
"lastName": "string",
  
  
"emailAddress": "string",
  
  
"organizationalUnit": "string",
  
  
"managerId": "string",
  
  
"manager": null
  
}
]

GetApplicationUsersByIdpInstance

GET
/api/management/v1/ApplicationUser/idpinstance/{idpInstanceId}

Responses

OK

application/json
JSON
[
]

GetApplicationUser

GET
/api/management/v1/ApplicationUser/{id}

Responses

OK

application/json
JSON
{
  
"id": "string",
  
"firstName": "string",
  
"lastName": "string",
  
"emailAddress": "string",
  
"organizationalUnit": "string",
  
"managerId": "string",
  
"manager": null
}

GetApplicationUsers

GET
/api/management/v1/ApplicationUser

Responses

OK

application/json
JSON
[
  
{
  
  
"id": "string",
  
  
"firstName": "string",
  
  
"lastName": "string",
  
  
"emailAddress": "string",
  
  
"organizationalUnit": "string",
  
  
"managerId": "string",
  
  
"manager": null
  
}
]

ProAuthUser


GetProAuthUsers

GET
/api/management/v1/ProAuthUser

Responses

OK

application/json
JSON
[
  
{
  
  
"id": "string",
  
  
"isUserActive": true,
  
  
"loginName": "string",
  
  
"firstName": "string",
  
  
"lastName": "string",
  
  
"emailAddress": "string",
  
  
"organizationalUnit": "string",
  
  
"requestUserDetailsOnNextLogin": true,
  
  
"scimSynchronized": true,
  
  
"invitationPending": true,
  
  
"managerId": "string",
  
  
"idpInstanceId": "string",
  
  
"subscriptionId": "string",
  
  
"twoFactorInstances": "[Circular Reference]",
  
  
"memberOfGroups": "[Circular Reference]",
  
  
"authorizedClientApps": "[Circular Reference]",
  
  
"proAuthUserProfiles": [...],
  
  
"proAuthUserFederatedIdentities": [...]
  
}
]

CreateProAuthUser

POST
/api/management/v1/ProAuthUser

Request Body

JSON
{
  
"id": "string",
  
"isUserActive": true,
  
"loginName": "string",
  
"firstName": "string",
  
"lastName": "string",
  
"emailAddress": "string",
  
"organizationalUnit": "string",
  
"requestUserDetailsOnNextLogin": true,
  
"scimSynchronized": true,
  
"invitationPending": true,
  
"managerId": "string",
  
"idpInstanceId": "string",
  
"subscriptionId": "string",
  
"twoFactorInstances": "[Circular Reference]",
  
"memberOfGroups": "[Circular Reference]",
  
"authorizedClientApps": "[Circular Reference]",
  
"proAuthUserProfiles": [
  
  
{...}
  
],
  
"proAuthUserFederatedIdentities": [
  
  
{...}
  
]
}

Responses

Created

application/json
JSON
{
  
"id": "string",
  
"isUserActive": true,
  
"loginName": "string",
  
"firstName": "string",
  
"lastName": "string",
  
"emailAddress": "string",
  
"organizationalUnit": "string",
  
"requestUserDetailsOnNextLogin": true,
  
"scimSynchronized": true,
  
"invitationPending": true,
  
"managerId": "string",
  
"idpInstanceId": "string",
  
"subscriptionId": "string",
  
"twoFactorInstances": "[Circular Reference]",
  
"memberOfGroups": "[Circular Reference]",
  
"authorizedClientApps": "[Circular Reference]",
  
"proAuthUserProfiles": [
  
  
{...}
  
],
  
"proAuthUserFederatedIdentities": [
  
  
{...}
  
]
}

UpdateProAuthUsers

PUT
/api/management/v1/ProAuthUser/batch

Request Body

JSON
[
]

Responses

OK

application/json
JSON
[
]

CreateProAuthUsers

POST
/api/management/v1/ProAuthUser/batch

Request Body

JSON
[
]

Responses

OK

application/json
JSON
[
]

DeleteProAuthUsers

DELETE
/api/management/v1/ProAuthUser/batch

Request Body

JSON
[
]

Responses

No Content


PatchProAuthUsers

PATCH
/api/management/v1/ProAuthUser/batch

Request Body

JSON
[
]

Responses

Accepted

application/json
JSON
[
  
{
  
  
"id": "string",
  
  
"isUserActive": true,
  
  
"loginName": "string",
  
  
"firstName": "string",
  
  
"lastName": "string",
  
  
"emailAddress": "string",
  
  
"organizationalUnit": "string",
  
  
"requestUserDetailsOnNextLogin": true,
  
  
"scimSynchronized": true,
  
  
"invitationPending": true,
  
  
"managerId": "string",
  
  
"idpInstanceId": "string",
  
  
"subscriptionId": "string",
  
  
"twoFactorInstances": "[Circular Reference]",
  
  
"memberOfGroups": "[Circular Reference]",
  
  
"authorizedClientApps": "[Circular Reference]",
  
  
"proAuthUserProfiles": [...],
  
  
"proAuthUserFederatedIdentities": [...]
  
}
]

GetProAuthUser

GET
/api/management/v1/ProAuthUser/{id}

Responses

OK

application/json
JSON
{
  
"id": "string",
  
"isUserActive": true,
  
"loginName": "string",
  
"firstName": "string",
  
"lastName": "string",
  
"emailAddress": "string",
  
"organizationalUnit": "string",
  
"requestUserDetailsOnNextLogin": true,
  
"scimSynchronized": true,
  
"invitationPending": true,
  
"managerId": "string",
  
"idpInstanceId": "string",
  
"subscriptionId": "string",
  
"twoFactorInstances": "[Circular Reference]",
  
"memberOfGroups": "[Circular Reference]",
  
"authorizedClientApps": "[Circular Reference]",
  
"proAuthUserProfiles": [
  
  
{...}
  
],
  
"proAuthUserFederatedIdentities": [
  
  
{...}
  
]
}

UpdateProAuthUser

PUT
/api/management/v1/ProAuthUser/{id}

Request Body

JSON
{
  
"id": "string",
  
"isUserActive": true,
  
"loginName": "string",
  
"firstName": "string",
  
"lastName": "string",
  
"emailAddress": "string",
  
"organizationalUnit": "string",
  
"requestUserDetailsOnNextLogin": true,
  
"scimSynchronized": true,
  
"invitationPending": true,
  
"managerId": "string",
  
"idpInstanceId": "string",
  
"subscriptionId": "string",
  
"twoFactorInstances": "[Circular Reference]",
  
"memberOfGroups": "[Circular Reference]",
  
"authorizedClientApps": "[Circular Reference]",
  
"proAuthUserProfiles": [
  
  
{...}
  
],
  
"proAuthUserFederatedIdentities": [
  
  
{...}
  
]
}

Responses

Accepted

application/json
JSON
{
  
"id": "string",
  
"isUserActive": true,
  
"loginName": "string",
  
"firstName": "string",
  
"lastName": "string",
  
"emailAddress": "string",
  
"organizationalUnit": "string",
  
"requestUserDetailsOnNextLogin": true,
  
"scimSynchronized": true,
  
"invitationPending": true,
  
"managerId": "string",
  
"idpInstanceId": "string",
  
"subscriptionId": "string",
  
"twoFactorInstances": "[Circular Reference]",
  
"memberOfGroups": "[Circular Reference]",
  
"authorizedClientApps": "[Circular Reference]",
  
"proAuthUserProfiles": [
  
  
{...}
  
],
  
"proAuthUserFederatedIdentities": [
  
  
{...}
  
]
}

DeleteProAuthUser

DELETE
/api/management/v1/ProAuthUser/{id}

Responses

No Content


PatchProAuthUser

PATCH
/api/management/v1/ProAuthUser/{id}

Request Body

JSON
[
  
{
  
  
"op": "string",
  
  
"path": "string",
  
  
"from": "string",
  
  
"value": null
  
}
]

Responses

Accepted

application/json
JSON
{
  
"id": "string",
  
"isUserActive": true,
  
"loginName": "string",
  
"firstName": "string",
  
"lastName": "string",
  
"emailAddress": "string",
  
"organizationalUnit": "string",
  
"requestUserDetailsOnNextLogin": true,
  
"scimSynchronized": true,
  
"invitationPending": true,
  
"managerId": "string",
  
"idpInstanceId": "string",
  
"subscriptionId": "string",
  
"twoFactorInstances": "[Circular Reference]",
  
"memberOfGroups": "[Circular Reference]",
  
"authorizedClientApps": "[Circular Reference]",
  
"proAuthUserProfiles": [
  
  
{...}
  
],
  
"proAuthUserFederatedIdentities": [
  
  
{...}
  
]
}

CreateOrUpdateProAuthUser

POST
/api/management/v1/ProAuthUser/createorupdate

Request Body

JSON
{
  
"id": "string",
  
"isUserActive": true,
  
"loginName": "string",
  
"firstName": "string",
  
"lastName": "string",
  
"emailAddress": "string",
  
"organizationalUnit": "string",
  
"requestUserDetailsOnNextLogin": true,
  
"scimSynchronized": true,
  
"invitationPending": true,
  
"managerId": "string",
  
"idpInstanceId": "string",
  
"subscriptionId": "string",
  
"twoFactorInstances": "[Circular Reference]",
  
"memberOfGroups": "[Circular Reference]",
  
"authorizedClientApps": "[Circular Reference]",
  
"proAuthUserProfiles": [
  
  
{...}
  
],
  
"proAuthUserFederatedIdentities": [
  
  
{...}
  
]
}

Responses

Created

application/json
JSON
{
  
"id": "string",
  
"isUserActive": true,
  
"loginName": "string",
  
"firstName": "string",
  
"lastName": "string",
  
"emailAddress": "string",
  
"organizationalUnit": "string",
  
"requestUserDetailsOnNextLogin": true,
  
"scimSynchronized": true,
  
"invitationPending": true,
  
"managerId": "string",
  
"idpInstanceId": "string",
  
"subscriptionId": "string",
  
"twoFactorInstances": "[Circular Reference]",
  
"memberOfGroups": "[Circular Reference]",
  
"authorizedClientApps": "[Circular Reference]",
  
"proAuthUserProfiles": [
  
  
{...}
  
],
  
"proAuthUserFederatedIdentities": [
  
  
{...}
  
]
}

CreateOrUpdateProAuthUsers

POST
/api/management/v1/ProAuthUser/createorupdate/batch

Request Body

JSON
[
]

Responses

OK

application/json
JSON
[
]

DeleteAllProAuthUsersByTenant

DELETE
/api/management/v1/ProAuthUser/all/tenant/{tenantId}

Responses

No Content


DeleteAllProAuthUsersByIdp

DELETE
/api/management/v1/ProAuthUser/all/idpInstance/{idpInstanceId}

Responses

No Content


DeleteAllProAuthUsersBySubscription

DELETE
/api/management/v1/ProAuthUser/all/subscription/{subscriptionId}

Responses

No Content


DeleteAllProAuthUsersWithoutAssignedIdpOfSubscription

DELETE
/api/management/v1/ProAuthUser/all/subscription/{subscriptionId}/noidp

Responses

No Content


GetProAuthUserByExternalUniqueUserId

GET
/api/management/v1/ProAuthUser/idp/{idpId}/externaluniqueuser/{id}

Responses

OK

application/json
JSON
{
  
"id": "string",
  
"isUserActive": true,
  
"loginName": "string",
  
"firstName": "string",
  
"lastName": "string",
  
"emailAddress": "string",
  
"organizationalUnit": "string",
  
"requestUserDetailsOnNextLogin": true,
  
"scimSynchronized": true,
  
"invitationPending": true,
  
"managerId": "string",
  
"idpInstanceId": "string",
  
"subscriptionId": "string",
  
"twoFactorInstances": "[Circular Reference]",
  
"memberOfGroups": "[Circular Reference]",
  
"authorizedClientApps": "[Circular Reference]",
  
"proAuthUserProfiles": [
  
  
{...}
  
],
  
"proAuthUserFederatedIdentities": [
  
  
{...}
  
]
}

GetScimSynchronizedProAuthUserByScimId

GET
/api/management/v1/ProAuthUser/idp/{idpId}/scim/{id}

Responses

OK

application/json
JSON
{
  
"id": "string",
  
"isUserActive": true,
  
"loginName": "string",
  
"firstName": "string",
  
"lastName": "string",
  
"emailAddress": "string",
  
"organizationalUnit": "string",
  
"requestUserDetailsOnNextLogin": true,
  
"scimSynchronized": true,
  
"invitationPending": true,
  
"managerId": "string",
  
"idpInstanceId": "string",
  
"subscriptionId": "string",
  
"twoFactorInstances": "[Circular Reference]",
  
"memberOfGroups": "[Circular Reference]",
  
"authorizedClientApps": "[Circular Reference]",
  
"proAuthUserProfiles": [
  
  
{...}
  
],
  
"proAuthUserFederatedIdentities": [
  
  
{...}
  
]
}

GetSynchronizedProAuthUserByUserStoreId

GET
/api/management/v1/ProAuthUser/idp/{idpId}/userstore/{id}

Responses

OK

application/json
JSON
{
  
"id": "string",
  
"isUserActive": true,
  
"loginName": "string",
  
"firstName": "string",
  
"lastName": "string",
  
"emailAddress": "string",
  
"organizationalUnit": "string",
  
"requestUserDetailsOnNextLogin": true,
  
"scimSynchronized": true,
  
"invitationPending": true,
  
"managerId": "string",
  
"idpInstanceId": "string",
  
"subscriptionId": "string",
  
"twoFactorInstances": "[Circular Reference]",
  
"memberOfGroups": "[Circular Reference]",
  
"authorizedClientApps": "[Circular Reference]",
  
"proAuthUserProfiles": [
  
  
{...}
  
],
  
[...]
